function [Ap,alpha,K]=acou_auto(N,sg,p);


% [A, alpha, k]=auto(N, sg, p) 
%	calcul des coefficients de prediction lineaire par la methode
%	d'autocorrelation.
%	sg : trame du signal a analyser
%	N : nombre d'echantillons de la trame  considerer
%	p : ordre du modele de prediction (entre 10 et 20 pour la parole)
%	A : vecteur colonne contenant les coefficients Ai
%	alpha : energie de l'erreur avant
%	k : vecteur colonne des coeff ki
%
% Auteur : Solange Rossato
% Modifi par H. Loevenbruck
% Dernire modification : 28/10/02

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Preambule

R=acou_autocorr(N,sg,p);

%% Initialisation

alpha=R(1);
K(1)=-R(2)/R(1);
Ap(1)=1;
Ap(2)=K(1);
alpha=alpha-K(1)*K(1)*alpha;


%% Boucle

for j=2:p;

	%% retournement de Ap

	for i=1:j;
		B(i)=Ap(j-i+1);
	end

	%% calcul de l'erreur arriere
	
	s=0;
	for i=1:j;
		s=s+R(j-i+2).*Ap(i);
	end
	
	%% calcul de K(j)

	K(j)=-s/alpha;
	
	%% calcul de Ap d'ordre j+1

	for i=2:j;
		Ap(i)=Ap(i)+K(j)*B(i-1);
	end
	Ap(j+1)=K(j);

	%% calcul de l'erreur avant 

	alpha=alpha-K(j)*K(j)*alpha;

	if (alpha<=0 );
		fprintf(1,'energie negative j=%d\n\n',j);
	end
end

%vecteurs colonnes
Ap=Ap';
K=K';