% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_detect_f0.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Appelle la fonction en C de 
%          dtection du F0 sur le signal 
%          contenu ds le subplot courant.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_detect_f0

global ACOU_NOM_FIC NUM_FEN NB_LIG NB_COL INDEX SUPERPOSE ACOU_FECH ACOU_TYP_FIC CURSEUR
global ACOU_SIG ACOU_SIG_CUT 

figNumber=watchon;

% Test si le fichier acoustique a t charg
if ACOU_SIG == []
  errordlg(' Fichier acoustique non charg','Erreur','on');
  watchoff(figNumber);
  return;
end

% Rcupre le chemin des fonctions C contenu dans la variable d'environnement
chemin = getenv('TRAP_C');

long = length(ACOU_NOM_FIC);
nom_f = ACOU_NOM_FIC(1:long-3);

% si le signal a t coup, prendre ce signal. 
if (ACOU_SIG_CUT ~=[])
   sig = ACOU_SIG_CUT;
   fic_ech = [ACOU_NOM_FIC(1:long-4),'_cut.ech'];
   long = long + 4;
   acou_conversion_ech(fic_ech,ACOU_FECH, sig);
else 
   sig = ACOU_SIG;
   fic_ech = [nom_f,'ech']
   if strcmp(ACOU_TYP_FIC,'EMA')
     fic_acou = ACOU_NOM_FIC;
     fic_acou(long-2) = 'm';
     unix(['cp ',fic_acou,' ', fic_ech]);
     unix(['chmod +w ',fic_ech]);
     % Convertit le fichier EMA en fichier ECH ISIS
     cmd_cv = sprintf('%s/bin.$HOSTTYPE/cv_sig %s 16000',chemin,fic_ech);
     unix(cmd_cv);
   elseif ~strcmp(ACOU_TYP_FIC,'ECH')
     acou_conversion_ech(fic_ech,ACOU_FECH, sig);
   end
end

unix('mkdir _ech');
unix('mkdir _pca');

% Extraction du nom du fichier si on a tout le chemin
slash = strfind(fic_ech,'/');
if isempty(slash)
  ind = 1;
else
  ind = slash(length(slash))+1;
end

unix(['cp ',fic_ech,' _ech/',fic_ech(ind : long)]);

% Calcule le fichier de paramtres .pca
unix([chemin,'/marker.bat ',fic_ech(ind:long-4)]);

pas = 10;

% Calcule la F0
cmd_f0 = sprintf('%s/bin.$HOSTTYPE/f0_pca _pca/%spca %sf0 %s',chemin, nom_f(ind:length(nom_f)),nom_f,num2str(pas))
%cmd_f0 = [[chemin,'/f0_pca ','_pca/',nom_f(ind:length(nom_f)),'pca ',nom_f,'f0 ',num2str(pas)]
unix(cmd_f0);

% Lecture du fichier .f0
[data,nb_ech,fech] = acou_lire_param([nom_f,'f0'],'F0:R4;');

if (ACOU_SIG_CUT ~=[] | ~strcmp(ACOU_TYP_FIC,'ECH'))
  % Efface le fichier ECH ISIS cr
  unix(['/bin/rm ',fic_ech]);
end
unix(['/bin/rm ',nom_f,'f0']);
unix(['/bin/rm _pca/',nom_f(ind:length(nom_f)),'pca']);
unix(['/bin/rm _ech/',fic_ech(ind : long)]);

% Calcule l'chelle
long_f0 = length(data);
tps = 0 : 1/fech : (long_f0-1)/fech; 

% Affichage

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

figure(NUM_FEN);
hsub = subplot(NB_LIG+1,NB_COL,INDEX);
if SUPERPOSE
  hold on
else 
  hold off
end
plot(tps,data, '.');
ylim = get(hsub,'Ylim');
xlim = get(hsub,'Xlim');
axis([xlim ylim]);
grid on;
if (ACOU_SIG_CUT ~=[])
  titre('F0 (aprs coupe)');
else
  titre('F0');
end

% On rcrit le titre de la fenetre
if INDEX == 1
   titre_fen_princ((xlim(2)-xlim(1))/2, ylim(2)+(ylim(2)-ylim(1))/3, ['Fichier ',ACOU_NOM_FIC,' de type ',ACOU_TYP_FIC]);
end

% On rend actif le menu deroulant
set(hsub,'Buttondownfcn','plot_menu');

% On dsactive les anciens graphes
% et active le courant
active_graphe;
   
%mise  jour des bornes du curseur
if CURSEUR
    maj_curseur; 
end
watchoff(figNumber);
