% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_detect_form.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 1999
% Modifi par H. Loevenbruck et C. Savariaux 28/10/02
% Contenu : dtection des formants sur le signal 
%           contenu ds le subplot courant.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_detect_form

global ACOU_NOM_FIC NUM_FEN ACOU_STEP_FRM ACOU_LENGTH_FRM ACOU_TPS_FRM ACOU_DATA_FRM ACOU_ORD_FFT ACOU_ORD_LPC ACOU_TYP_FIC ACOU_FECH NB_LIG ...
    NB_COL INDEX SUPERPOSE ACOU_SIG ACOU_SIG_CUT CURSEUR

figNumber=watchon;

% Test si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  watchoff(figNumber);
  return;
end

long = length(ACOU_NOM_FIC);

% si le signal a t coup, prendre ce signal. 
if ~isempty(ACOU_SIG_CUT)
   sig = ACOU_SIG_CUT;
else 
   sig = ACOU_SIG;
end

% LPC 
[S2, t, f] = acou_evolut(sig, ACOU_ORD_LPC, ACOU_FECH, ACOU_STEP_FRM, ACOU_LENGTH_FRM);

% formants
[l,c] = size(S2);
for ii = 1:c
   tab = acou_detpic(S2(:,ii),l,ACOU_FECH/2);
   ACOU_DATA_FRM(1:5,ii) = tab(1:5,2);
end;

% on decale d'une fenetre au debut
ACOU_TPS_FRM = 0.01:0.01:size(ACOU_DATA_FRM,2)/100;

if NUM_FEN == 0
    errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
    return
end
figure(NUM_FEN);
% Affichage des formants 
hsub = subplot(NB_LIG+1,NB_COL,INDEX);
if SUPERPOSE
    hold on %(les echelles d'axes seront celles du graphe prcdent)
else 
    hold off
end

plot(ACOU_TPS_FRM,ACOU_DATA_FRM(1,:),'+','Color',[0.9 0   0.9]); %sort of magenta
hold on;
plot(ACOU_TPS_FRM,ACOU_DATA_FRM(2,:),'+','Color',[0   0.7   0.9]); %sort of cyan
plot(ACOU_TPS_FRM,ACOU_DATA_FRM(3,:),'+','Color',[0   0.9 0]);   %sort of green
ylim = get(hsub,'Ylim');
xlim = get(hsub,'Xlim');
axis([xlim ylim(1) ACOU_FECH/2]);
grid on;
if (ACOU_SIG_CUT ~=[])
   titre('FORMANTS (aprs coupe)');
else
     titre('FORMANTS');
end
% On rcrit le titre de la fenetre
if INDEX == 1
    titre_fen_princ((xlim(2)-xlim(1))/2, ylim(2)+(ylim(2)-ylim(1))/3, ['Fichier ',ACOU_NOM_FIC,' de type ',ACOU_TYP_FIC]);
end

% On rend actif le menu deroulant
set(hsub,'Buttondownfcn','plot_menu');
% On dsactive les anciens graphes
% et active le courant
active_graphe;
  
%mise  jour des bornes du curseur
if CURSEUR
    maj_curseur; 
end
watchoff(figNumber);
