% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_filtre_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck 
% Date : 29.09.99
% Contenu : Teste si signal ouvert
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_filtre_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_filtre_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_SIG 

% Test si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  return;
end

if strcmp(titre,'Filtre Remez') % pas besoin de rentrer de paramtres pour le filtre de Remez
    acou_filtre_action(3);
else
    option(titre,'Frquence de coupure (Hz)');
end
