% Filtre passe haut
% function = [sig_out] = acou_high_pass(sig_in, fech, fcc)
%    Fichier de filtrage passe-haut avec fc [Hz]
%    zero-phase,ondulation de la bande passante < 0.15 dB
%    et attenuation de la bande obscure > 50 dB, pour
%              paolo, icp mars '93
%

function [sig_out] = acou_high_pass(sig_in, fech, fcc)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_high_pass(signal, Fe, Fc)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

fc =  fcc*2/fech;
fc1 = fc + .01;       %  pente du filtre > de (-.1dB + 40dB)/.005
[n,wn] = cheb1ord(fc, fc1, .1, 50);     %   calcule des paramtres
[C,D] = cheby1(n, .15, wn, 'high');       %         du filtre
sig_out = filtfilt(C, D, sig_in);

