% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lance_zoomer.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 22.09.99
%
% Modifi par CS le 07/02/16 :
%       Utilisation de ginputc
%
% Contenu : Lance un zoom (ou dezoom) de TOUS les
%           graphiques se trouvant dans la fenetre
%           Pour dezoomer la fenetre : Cliquer
%           avec le bouton de droite
%           Pour zoomer sur un extrait : Cliquer
%           avec le bouton gauche puis droite.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_lance_zoomer

global ZOOM_PREC_DEB ZOOM_PREC_FIN NB_ZOOM COULEUR_POINTEUR

% Attend que l'utilisateur ait click sur la zone  zoomer
% puis retourne les coordonnes
[pos_x,pos_y,bouton] = ginput(1);

%[pos_x,pos_y,bouton] = ginputc(1,'Color', COULEUR_POINTEUR);

% Teste si l'on effectue un zoom ou dzoom (si l'on affiche le graphe initial)
if bouton == 1
    NB_ZOOM = NB_ZOOM + 1;
    % Attend la deuxime coordonne
      [pos_x(2),pos_y(2)] = ginput(1);
%     [pos_x(2), pos_y(2)] = ginputc(1,'Color',COULEUR_POINTEUR);
    % Effectue le zoom
    zoom_in(pos_x(1),pos_x(2));
    
    % on stocke les valeurs pour dezoomer
    ZOOM_PREC_DEB = [ZOOM_PREC_DEB pos_x(1)];
    ZOOM_PREC_FIN = [ZOOM_PREC_FIN pos_x(2)];
    
elseif bouton == 2
    NB_ZOOM = NB_ZOOM - 1;
    if NB_ZOOM ~= 0
        zoom_precedent;
        ZOOM_PREC_DEB = ZOOM_PREC_DEB(1:NB_ZOOM);
        ZOOM_PREC_FIN = ZOOM_PREC_FIN(1:NB_ZOOM);
    else % on est au dernier niveau de zoom cad au signal de depart
        NB_ZOOM = 1;
        ZOOM_PREC_DEB = ZOOM_PREC_DEB(NB_ZOOM);
        ZOOM_PREC_FIN = ZOOM_PREC_FIN(NB_ZOOM);
        zoom_precedent;
    end
else
    % Affiche le signal de dpart
    zoom_out;
    NB_ZOOM = 1;
    ZOOM_PREC_DEB = ZOOM_PREC_DEB(NB_ZOOM);
    ZOOM_PREC_FIN = ZOOM_PREC_FIN(NB_ZOOM);
end
