% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lire_fic_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.01.2000
% Modifi par CS le 19/05/04 : remplacement des formats ASC1 ou
% ASC2 par ASC, suppression de la demande de fech
% Contenu : Lecture des caractristiques du  
%           fichier de F0  charger.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [nomfic,type] =  acou_lire_fic_dlg

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
% On recupere les objets de type Edit
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);
 
nomfic = get(obj_edit(ind_edit_tries(1)),'string');

if isempty(nomfic)
  errordlg(' Il manque une ou plusieurs donnes','Erreur','on');
  nomfic = [];
  return;
else
  box_ech = findobj(gcf,'Style','checkbox','String','ECH');
  box_asc = findobj(gcf,'Style','checkbox','String','ASC');

  if ~get(box_ech,'Value')  
    if ~get(box_asc,'Value')
          errordlg(' Choisissez un format parmi les deux','Erreur','on');
          nomfic = [];
          return;
    else
          type = 'ASC';
      end
  else
          type = 'ECH';
  end
  delete(gcf);
end

      
