% Filtre passe bas
% function = [sig_out] = acou_low_pass(sig_in, fech, fcc)

function [sig_out] = acou_low_pass(sig_in, fech, fcc)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_low_pass(signal, Fe, Fc)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end


fc =  fcc*2/fech;
fc1 = fc + .15;       %  pente du filtre > de (-.1dB + 40dB)/.005
[n,wn] = cheb1ord( fc ,fc1,.1,50);     %   calcule des parametres
[C,D] = cheby1(n,.15,wn);              %         du filtre

sig_out = filtfilt(C,D,sig_in);
