% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_ouv_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 06.07.99
% Contenu : Boite de saisie du nom du fichier
%           contenant le signal acoustique. 
%           Les cases sont pr-remplies pour
%           aider l'utilisateur.
%           - EMA : .mxx
%           - EPG : .nsp
%           - ISIS : .ech
%           - Matlab : .mat
%           - WAV : .wav
%           - autre
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_ouv_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_ouv_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Checkbox','String','EMA',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2+60 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.mxx',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2+60 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','EPG',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2+40 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.nsp',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2+40 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','ISIS',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2+20 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.ech',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2+20 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','Matlab',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.mat',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','WAV',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-20 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.wav',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-20 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','Autre',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-40 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-40 3*taille_fen(3)/4-25 20]);
