% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_ouv_wav.m
% Source : Matlab
% Auteur : D. Lefebvre
% Dernire modification CS : 16/01/07
%   compatible matlab 2015, audioread
%
% Contenu : Lecture du fichier .wav
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [sig,tps] = acou_ouv_wav(nomfic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_ouv_wav(nomfic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_FECH

if ACOU_FECH == 0
  errordlg(' Veuillez spcifier la frquence d''chantillonnage !','Erreur','on');
  return;
end

%=======================================
% Vrification de l'existence du fichier
%=======================================

if ~exist(nomfic)
   errordlg([' Fichier ', nomfic,' introuvable'], 'Rsultat', 'on');
   sig =[]; tps =[];
   return;
end

%================================
% Lecture des donnes du fichier
%================================

%[sig,Fe,bits] = mywavread(nomfic);
[sig,Fe] = audioread(nomfic);

if Fe ~= ACOU_FECH
   ACOU_FECH = Fe;
   message = sprintf(' La frquence d''chantillonnage est modifie  %d', ACOU_FECH);
   errordlg(message, 'Attention', 'on');
end

% Si stereo on ne prend que le canal de droite
if size(sig,2) == 2
    sig = sig(:,2);
end

%================================
% Calcul des donnes temporelles
%================================

counts = length(sig);
tps = linspace(0,(counts-1)/ACOU_FECH,counts);
