% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : calc_vit.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Calcule la vitesse d'un signal
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [vit] =  calc_vit(sig,fech)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : calc_vit(signal, Fe)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

figNumber=watchon;

long = length(sig);

% sig : vecteur colonne
vit_ech_prec = [sig(long) sig(1 : long-1)]; % Passe la dernire colonne en premire colonne
vit = zeros(1,long);

% Soustrait les deux matrices  partir de la deuxime colonne
% puis multiplie par la frq d'ech.
vit(2 : long) = (sig(2 : long) - vit_ech_prec(2 : long))*fech;

watchoff(figNumber);
