% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : curseur.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 01.09.99
% Contenu : Met  jour les fenetres synchrones 
%          suivant la position du curseur.
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Attention ne marche bien que si le curseur
% est bien trac en pseudo-rouge [0.99 0 0]
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function curseur(pos_sb)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : curseur(instant)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NB_LIG NB_COL INDEX NUM_SYNC ACOU_CALC_FFT ACOU_CALC_CEPS EMA_COUP_SAG ...
    EMA_COUP_SAG_3D ACOU_CALC_LPC NUM_FEN EPG_PAL_SIMPLE EPG_PAL_SERIE

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

hand=figure(NUM_FEN);
%figure(NUM_FEN);


% Trace une ligne  cet emplacement sur les graphes
for i=1 : NB_LIG*NB_COL
  sub = subplot(NB_LIG+1,NB_COL,i);
  % Teste si le subplot contient bien un graphique
  if ~isempty(get(gca, 'Children'))
    ylim = get(sub,'Ylim');
    xlim = get(sub,'Xlim');
    anc_lig = findobj(sub,'Type','line','Color',[0.99 0 0]);  %recherche ligne pseudo-red
    delete(anc_lig);    % Efface l'ancienne ligne 
    hold on;
    line([pos_sb pos_sb],ylim,'Color',[0.99 0 0]); %affiche ligne  pseudo-red
    hold off;
  end
end

% Vrifie que le slider est  la bonne place 
% (dans le cas o curseur a t appel en ligne et non pas par le slider)
sb = findobj(gcf,'Style','Slider');
% set(sb,'Value',pos_sb);
if pos_sb < 1
    % % On est en unit normalise 
    set(sb,'Value',pos_sb);
else    
    set(sb,'Value',pos_sb/xlim(2));
end

% On s'assure que le gca n'a pas chang
subplot(NB_LIG+1,NB_COL,INDEX);

% Affiche les coord. pour chaque graphe
affich_coord_curs(pos_sb);

% Si la FFT est demande on la calcule et on l'affiche
if ACOU_CALC_FFT
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  acou_calc_fft(pos_sb);
end  

% Si la LPC est demande, on la calcule et on l'affiche
if ACOU_CALC_LPC
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  acou_calc_lpc(pos_sb);
end

% Si Cepstre demand, calcul + affichage
if ACOU_CALC_CEPS
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  acou_calc_cepstre(pos_sb);
end

% Si la coupe sagittale est demande, on la calcule et on l'affiche
if EMA_COUP_SAG
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  ema_coupe_sagit(pos_sb);
end

% Si la coupe sagittale est demande, on la calcule et on l'affiche
if EMA_COUP_SAG_3D
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  ema_coupe_sagit_3D(pos_sb);
end

% Si le palais simple est demand, on l'affiche
if EPG_PAL_SIMPLE
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  epg_simple(pos_sb);
end

% Si le palais srie est demand, on l'affiche
if EPG_PAL_SERIE
  % Ouverture de la fenetre synchrone par defaut si elle n'existe pas
  if NUM_SYNC == 0
    synchrone(2,[500 50],[500 270],'Fenetre Synchrone');
  end
  epg_serie(pos_sb);
end

