% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eff_minmaxppz.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 26.10.99
% Contenu : Efface l'tiquette min, max ou ppz 
%           slectionne par l'utilisateur.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eff_minmaxppz(pos_click)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eff_minmaxppz(instant)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN COULEUR_MIN COULEUR_MAX COULEUR_ZERO

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);

% Recherche toutes les tiquettes de la fenetre
etiq = findobj(gca,'Type','line','Color', COULEUR_MIN);  %Etiq min
etiq = [etiq;findobj(gca,'Type','line','Color',COULEUR_MAX)];  %Etiq max 
etiq = [etiq;findobj(gca,'Type','line','Color',COULEUR_ZERO)];  %Etiq ppz

if ~isempty(etiq)
  % Recherche la position en X de ces etiq.
  for i=1 : length(etiq)
    pos = get(etiq(i),'Xdata');
    pos_x(i) = pos(1);
  end
  
  % Recherche parmi les tiq. celle qui est la + proche du Click
  [val,indice] = min(abs(pos_x - pos_click));

  % Supprime cette etiquette
  delete(etiq(indice));
  
  % Supprime le nom de l'etiq s'il y en a un
  nom = findobj(gcf,'Type','text');
  for i = 1 : length(nom)
    pos = get(nom(i),'Position');
    if pos(1) == pos_x(indice)
      delete(nom(i));
    end
  end
end
