% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_call_filt.m
% Source : Matlab
% Auteur : CS
% Date : 06/07/06
% Contenu : filtrage du signal EGG en fonction du filtre choisi
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_call_filt(type_filtre, freq_coup, nb_interp)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : egg_call_filt(type_filtre, freq_coup, nb_interp)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EGG_1 EGG_2 EGG_3 EGG_4 EGG_NOM1 EGG_NOM2 EGG_NOM3 EGG_NOM4
global EGG_FECH EGG_TPS CHEBY_FREQ_COUP EGG_ACTIF 

% On definit le signal EGG actif
if EGG_ACTIF == 1
    EGG = EGG_1;
    NOM_EGG = EGG_NOM1;
elseif  EGG_ACTIF == 2
    EGG = EGG_2;
    NOM_EGG = EGG_NOM2;
elseif  EGG_ACTIF == 3
    EGG = EGG_3;
    NOM_EGG = EGG_NOM3;
else
    EGG = EGG_4;
    NOM_EGG = EGG_NOM4;
end

% On filtre en fonction du filtre retenu
if strcmp(type_filtre, 'Chebyshev')
    EGG_FILT = filtre_cheby(EGG, EGG_FECH, freq_coup);
elseif strcmp(type_filtre, 'Spline')
    [EGG_FILT, donnees_temporelles] = filtre_spline(EGG, EGG_FECH, nb_interp);
elseif strcmp(type_filtre, 'Remez')
    EGG_FILT = filtre_remez(EGG, EGG_FECH);
end

% On trace le resultat 
trace_graphe(EGG_FILT,EGG_TPS,[NOM_EGG, '-filt-', type_filtre], '-', [ 1 1 0]);
