% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : egg_ouv.m
% Source : Matlab
% Auteur : C. Savariaux
% Date 07/07/06
% Contenu : Lecture d'un fichier de donnes EGG
%           issu de la carte DT3016
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function egg_ouv(fic_dcf);

global EGG_1 EGG_2 EGG_3 EGG_4 NB_EGG EGG_TPS EGG_FECH 

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : egg_ouv(fic_dcf)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

%=================================
% Ouverture du fichier .dcf
%=================================
if ~exist(fic_dcf)
   chaine_erreur = sprintf('Fichier EGG .dcf non trouv !');
   errordlg(chaine_erreur, 'Message', 'on');
   return;
end

[data, EGG_FECH, nbech_egg] = ouv_DCF(fic_dcf);

% On teste que l'on n'a pas plus de 4 canaux en entre
nb_canaux = size(data,1);

if nb_canaux > NB_EGG
   chaine_erreur = sprintf('Fichier .dcf contenant plus de 4 entres ! Incompatible avec TRAP');
   errordlg(chaine_erreur, 'Message', 'on');
   return;
end

    
%================================
% Lecture des donnes du fichier
%================================
for i = 1:nb_canaux
    eval(['EGG_' num2str(i) ' = data(i,:);']) 
end

%======================================
% Calcule le vecteur temps d'une bobine
%======================================
     
EGG_TPS = linspace(0,((nbech_egg)-1)/EGG_FECH,nbech_egg);

