% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_acc.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 18.12.03
% Modifi par H. Loevenbruck & Denis Beautemps
% Contenu : Calcule puis trace l'acclration d'une
%           bobine dans la fenetre principale
%           avec la formule du dveloppement limit  
%           l'ordre 3
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_acc(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  ema_acc(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EMA_TPS EMA_FECH EMA_FLAG CHEBY_FREQ_COUP

% Teste si le calcul des trajectoires a dj t effectu
if EMA_FLAG == 0
  errordlg(' Lancer la commande ''Trajectoire'' avant de visualiser les acclrations.',...
      'Erreur','on');
  return;
else
  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 

  % Calcul de l'acclration
  acc = calc_acc_ord3(sig,EMA_FECH);
  
  if CHEBY_FREQ_COUP ~= 0
    disp('Acclration Filtre !');
    [acc_f] = filtre_cheby(acc, EMA_FECH, CHEBY_FREQ_COUP);
  else
    acc_f=acc;
  end

  % Affichage
  trace_graphe(acc_f,EMA_TPS,['ACC. ',nom], '-', [1 1 0]);
end
