% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_animer_3D.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Modifi par CS le 30/10/02 :
%   Passage  10 bobines
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Dernire modification : CS, le 01/09/16
%   Ajout 16 canaux
% Dernire modification : CS, le 16/09/15
%   modification des couleurs
% Contenu : Affiche la trajectoire des bobines 
%           point par point
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_animer_3D(xmin,xmax)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_animer(instant1,instant2)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_FECH EMA_NUM_SAG EMA_BOB_PAL EMA_PAL_X EMA_PAL_Y EMA_PAL_Z EMA_X1 EMA_X2 EMA_X3 EMA_X4 EMA_Y1 EMA_Y2 EMA_Y3 EMA_Y4 ...
    EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4 EMA_ECHELLE
% Rajout CS
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10 EMA_BOB11 EMA_BOB12 EMA_BOB13 EMA_BOB14 EMA_BOB15 EMA_BOB16
%global COUL_B1 COUL_B2 COUL_B3 COUL_B4 COUL_B5 COUL_B6 COUL_B7 COUL_B8 COUL_B9 COUL_B10
global EMA_X5 EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_X11 EMA_X12 EMA_X13 EMA_X14 EMA_X15 EMA_X16
global EMA_Y5 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 EMA_Y11 EMA_Y12 EMA_Y13 EMA_Y14 EMA_Y15 EMA_Y16
global EMA_Z1 EMA_Z2 EMA_Z3 EMA_Z4 EMA_Z5 EMA_Z6 EMA_Z7 EMA_Z8 EMA_Z9 EMA_Z10 EMA_Z11 EMA_Z12 EMA_Z13 EMA_Z14 EMA_Z15 EMA_Z16

% On dfinit la table des couleurs
couleur = colormap(jet(16));

% On rcupre les indices dans les matrices de signaux EMA
tmin = fix(xmin*EMA_FECH +1);
tmax = fix(xmax*EMA_FECH +1);

long_ema = length(EMA_X1);
if (tmin > long_ema) || (tmax > long_ema)
  errordlg(' Le curseur ne se trouve plus sur le signal !','Attention','on');
  return;
else 
  if EMA_NUM_SAG == 0
    EMA_NUM_SAG = figure('Numbertitle','off','Name','Animation coupe sagittale', 'MenuBar', 'none');
  end
  figure(EMA_NUM_SAG);
  clf;
  if EMA_BOB_PAL ~= 0
    % Affiche le contour du palais enregistr dans le fichier
    plot3(EMA_PAL_X, EMA_PAL_Y, EMA_PAL_Z, 'w');
    hold on;
  end
  pas = 5;
  text(EMA_X1(tmin),EMA_Y1(tmin), EMA_Z1(tmin), EMA_BOB1,'VerticalAlignment','baseline','Color',couleur(1,:),'Interpreter','none');
  hold on;
  text(EMA_X2(tmin),EMA_Y2(tmin), EMA_Z2(tmin), EMA_BOB2,'VerticalAlignment','baseline','Color',couleur(2,:),'Interpreter','none');
  text(EMA_X3(tmin),EMA_Y3(tmin), EMA_Z3(tmin), EMA_BOB3,'VerticalAlignment','baseline','Color',couleur(3,:),'Interpreter','none');
  text(EMA_X4(tmin),EMA_Y4(tmin), EMA_Z4(tmin), EMA_BOB4,'VerticalAlignment','baseline','Color',couleur(4,:),'Interpreter','none');
  text(EMA_X5(tmin),EMA_Y5(tmin), EMA_Z5(tmin), EMA_BOB5,'VerticalAlignment','baseline','Color',couleur(5,:),'Interpreter','none');
  text(EMA_X6(tmin),EMA_Y6(tmin), EMA_Z6(tmin), EMA_BOB6,'VerticalAlignment','baseline','Color',couleur(6,:),'Interpreter','none');
  text(EMA_X7(tmin),EMA_Y7(tmin), EMA_Z7(tmin), EMA_BOB7,'VerticalAlignment','baseline','Color',couleur(7,:),'Interpreter','none');
  text(EMA_X8(tmin),EMA_Y8(tmin), EMA_Z8(tmin), EMA_BOB8,'VerticalAlignment','baseline','Color',couleur(8,:),'Interpreter','none');
  text(EMA_X9(tmin),EMA_Y9(tmin), EMA_Z9(tmin), EMA_BOB9,'VerticalAlignment','baseline','Color',couleur(9,:),'Interpreter','none');
  text(EMA_X10(tmin),EMA_Y10(tmin), EMA_Z10(tmin), EMA_BOB10,'VerticalAlignment','baseline','Color',couleur(10,:),'Interpreter','none');
  % Ajout 16 canaux
  text(EMA_X11(tmin),EMA_Y11(tmin), EMA_Z11(tmin), EMA_BOB11,'VerticalAlignment','baseline','Color',couleur(11,:),'Interpreter','none');
  text(EMA_X12(tmin),EMA_Y12(tmin), EMA_Z12(tmin), EMA_BOB12,'VerticalAlignment','baseline','Color',couleur(12,:),'Interpreter','none');
  text(EMA_X13(tmin),EMA_Y13(tmin), EMA_Z13(tmin), EMA_BOB13,'VerticalAlignment','baseline','Color',couleur(13,:),'Interpreter','none');
  text(EMA_X14(tmin),EMA_Y14(tmin), EMA_Z14(tmin), EMA_BOB14,'VerticalAlignment','baseline','Color',couleur(14,:),'Interpreter','none');
  text(EMA_X15(tmin),EMA_Y15(tmin), EMA_Z15(tmin), EMA_BOB15,'VerticalAlignment','baseline','Color',couleur(15,:),'Interpreter','none');
  text(EMA_X16(tmin),EMA_Y16(tmin), EMA_Z16(tmin), EMA_BOB16,'VerticalAlignment','baseline','Color',couleur(16,:),'Interpreter','none');

 % Affiche la position des bobines point par point
  for i= tmin+pas : pas : tmax
    plot3(EMA_X1(i-pas:i),EMA_Y1(i-pas:i), EMA_Z1(i-pas:i), '.','Color',couleur(1,:));
    hold on;
    plot3(EMA_X2(i-pas:i),EMA_Y2(i-pas:i), EMA_Z2(i-pas:i), '.','Color',couleur(2,:));
    plot3(EMA_X3(i-pas:i),EMA_Y3(i-pas:i), EMA_Z3(i-pas:i), '.','Color',couleur(3,:));
    plot3(EMA_X4(i-pas:i),EMA_Y4(i-pas:i), EMA_Z4(i-pas:i), '.','Color',couleur(4,:));
    plot3(EMA_X5(i-pas:i),EMA_Y5(i-pas:i), EMA_Z5(i-pas:i), '.','Color',couleur(5,:));
    plot3(EMA_X6(i-pas:i),EMA_Y6(i-pas:i), EMA_Z6(i-pas:i), '.','Color',couleur(6,:));
    plot3(EMA_X7(i-pas:i),EMA_Y7(i-pas:i), EMA_Z7(i-pas:i), '.','Color',couleur(7,:));
    plot3(EMA_X8(i-pas:i),EMA_Y8(i-pas:i), EMA_Z8(i-pas:i), '.','Color',couleur(8,:));
    plot3(EMA_X9(i-pas:i),EMA_Y9(i-pas:i), EMA_Z9(i-pas:i), '.','Color',couleur(9,:));
    plot3(EMA_X10(i-pas:i),EMA_Y10(i-pas:i), EMA_Z10(i-pas:i), '.','Color',couleur(10,:));
  % Ajout 16 canaux
    plot3(EMA_X11(i-pas:i),EMA_Y11(i-pas:i), EMA_Z11(i-pas:i), '.','Color',couleur(11,:));
    plot3(EMA_X12(i-pas:i),EMA_Y12(i-pas:i), EMA_Z12(i-pas:i), '.','Color',couleur(12,:));
    plot3(EMA_X13(i-pas:i),EMA_Y13(i-pas:i), EMA_Z13(i-pas:i), '.','Color',couleur(13,:));
    plot3(EMA_X14(i-pas:i),EMA_Y14(i-pas:i), EMA_Z14(i-pas:i), '.','Color',couleur(14,:));
    plot3(EMA_X15(i-pas:i),EMA_Y15(i-pas:i), EMA_Z15(i-pas:i), '.','Color',couleur(15,:));
    plot3(EMA_X16(i-pas:i),EMA_Y16(i-pas:i), EMA_Z16(i-pas:i), '.','Color',couleur(16,:));
    grid on;
    drawnow;
  end
  % On complte l'affichage jusqu'au max
  plot3(EMA_X1(i:tmax),EMA_Y1(i:tmax), EMA_Z1(i:tmax), '.','Color',couleur(1,:));
  plot3(EMA_X2(i:tmax),EMA_Y2(i:tmax), EMA_Z2(i:tmax), '.','Color',couleur(2,:));
  plot3(EMA_X3(i:tmax),EMA_Y3(i:tmax), EMA_Z3(i:tmax), '.','Color',couleur(3,:));
  plot3(EMA_X4(i:tmax),EMA_Y4(i:tmax), EMA_Z4(i:tmax), '.','Color',couleur(4,:));
  plot3(EMA_X5(i:tmax),EMA_Y5(i:tmax), EMA_Z5(i:tmax), '.','Color',couleur(5,:));
  plot3(EMA_X6(i:tmax),EMA_Y6(i:tmax), EMA_Z6(i:tmax), '.','Color',couleur(6,:));
  plot3(EMA_X7(i:tmax),EMA_Y7(i:tmax), EMA_Z7(i:tmax), '.','Color',couleur(7,:));
  plot3(EMA_X8(i:tmax),EMA_Y8(i:tmax), EMA_Z8(i:tmax), '.','Color',couleur(8,:));
  plot3(EMA_X9(i:tmax),EMA_Y9(i:tmax), EMA_Z9(i:tmax), '.','Color',couleur(9,:));
  plot3(EMA_X10(i:tmax),EMA_Y10(i:tmax), EMA_Z10(i:tmax), '.','Color',couleur(10,:));
  % Ajout 16 canaux
  plot3(EMA_X11(i:tmax),EMA_Y11(i:tmax), EMA_Z11(i:tmax), '.','Color',couleur(11,:));
  plot3(EMA_X12(i:tmax),EMA_Y12(i:tmax), EMA_Z12(i:tmax), '.','Color',couleur(12,:));
  plot3(EMA_X13(i:tmax),EMA_Y13(i:tmax), EMA_Z13(i:tmax), '.','Color',couleur(13,:));
  plot3(EMA_X14(i:tmax),EMA_Y14(i:tmax), EMA_Z14(i:tmax), '.','Color',couleur(14,:));
  plot3(EMA_X15(i:tmax),EMA_Y15(i:tmax), EMA_Z15(i:tmax), '.','Color',couleur(15,:));
  plot3(EMA_X16(i:tmax),EMA_Y16(i:tmax), EMA_Z16(i:tmax), '.','Color',couleur(16,:));
  hold off;
  buf = sprintf('Coupe sagittale de t =%6.2f a %6.2f s',xmin,xmax);
% Attention ne pas changer cette couleur
% sinon la modification d'chelle marchera moins bien
% cf. modif_echelle.m
title(buf,'Color','g'); %le titre est crit en green
if EMA_ECHELLE == 1
    echelle = 'cm';
else
    echelle='mm';
end
xlabel(['X ',echelle]);
ylabel(['Y ',echelle]);
zlabel(['Z ',echelle]);
view([0 90]);
% rotate3d on;
axis('equal');
zoom on;
xmin = min(EMA_PAL_X);
xmax = max(EMA_PAL_X);
ymin = min(EMA_PAL_Y);
ymax = max(EMA_PAL_Y);
xlim([xmin-2 xmax+2]);
ylim([ymin-2 ymax+2]);

% [xmin] = get(gca,'Xlim');
% [ymin] = get(gca,'Ylim');
% xlim([xmin(1)-1 xmin(1)+11]);
% ylim([ymin(1)-1 ymin(1)+11]);

end

