% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_choix_palais.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 04.10.99
%
% Modifi par CS le 01/09/16 :
%       Passage  16 canaux
%
% Contenu : Boite permettant de choisir : 
%           1. si on veut afficher un contour de 
%           palais pr-existant
%           2. si on veut enregistrer ds un fichier 
%           le contour courant.
%           Dans ce 2me cas, il faut prciser le 
%           numro de la bobine qui a servi pour 
%           effectuer le suivi du contour du palais.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_choix_palais

num_fen = dialogue('Fichier de suivi du palais');
taille_fen = get(num_fen,'Position');

% Frame de sparation des 2 choix
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 taille_fen(4)/2+55 taille_fen(3) 4]);

% Demande du nom du fichier  charger
uicontrol(num_fen,'Style','Checkbox','String','Charger fichier :',...
    'Backgroundcolor',[0.9 0.9 0.9],...
    'Position',[10 taille_fen(4)/2+60 taille_fen(3)/2-10 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2+60 taille_fen(3)/2-40 20]);
uicontrol(num_fen,'Style','Text','String','.pal',...
    'Backgroundcolor',[0.9 0.9 0.9],...
    'Position',[taille_fen(3)-40 taille_fen(4)/2+60 30 20]);

% Demande du nom du fichier d'enregistrement
uicontrol(num_fen,'Style','Checkbox','String','Enregistrer sous :',...
    'Backgroundcolor',[0.9 0.9 0.9],...
    'Position',[10 taille_fen(4)/2+30 taille_fen(3)/2-10 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2+30 taille_fen(3)/2-40 20]);
uicontrol(num_fen,'Style','Text','String','.pal',...
    'Backgroundcolor',[0.9 0.9 0.9],...
    'Position',[taille_fen(3)-40 taille_fen(4)/2+30 30 20]);

% Numro de la bobine
uicontrol(num_fen,'Style','Text','String','Numro de la bobine de suivi :',...
    'Position',[0 taille_fen(4)/2+5 taille_fen(3) 20]);
uicontrol(num_fen,'Style','Checkbox','String','1',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2-20 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','2',...
    'Backgroundcolor','w',...
    'Position',[2*taille_fen(3)/10 taille_fen(4)/2-20 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','3',...
    'Backgroundcolor','w',...
    'Position',[4*taille_fen(3)/10 taille_fen(4)/2-20 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','4',...
    'Backgroundcolor','w',...
    'Position',[6*taille_fen(3)/10 taille_fen(4)/2-20 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','5',...
    'Backgroundcolor','w',...
    'Position',[8*taille_fen(3)/10 taille_fen(4)/2-20 45 20]);

uicontrol(num_fen,'Style','Checkbox','String','6',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2-45 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','7',...
    'Backgroundcolor','w',...
    'Position',[2*taille_fen(3)/10 taille_fen(4)/2-45 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','8',...
    'Backgroundcolor','w',...
    'Position',[4*taille_fen(3)/10 taille_fen(4)/2-45 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','9',...
    'Backgroundcolor','w',...
    'Position',[6*taille_fen(3)/10 taille_fen(4)/2-45 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','10',...
    'Backgroundcolor','w',...
    'Position',[8*taille_fen(3)/10 taille_fen(4)/2-45 45 20]);
% Ajout 16 canaux
uicontrol(num_fen,'Style','Checkbox','String','11',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2-70 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','12',...
    'Backgroundcolor','w',...
    'Position',[2*taille_fen(3)/10 taille_fen(4)/2-70 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','13',...
    'Backgroundcolor','w',...
    'Position',[4*taille_fen(3)/10 taille_fen(4)/2-70 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','14',...
    'Backgroundcolor','w',...
    'Position',[6*taille_fen(3)/10 taille_fen(4)/2-70 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','15',...
    'Backgroundcolor','w',...
    'Position',[8*taille_fen(3)/10 taille_fen(4)/2-70 45 20]);
uicontrol(num_fen,'Style','Checkbox','String','16',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2-95 45 20]);
