% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_coupe_sagit_3D.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99
% Modifi par CS le 06/11/02 :
%       Passage  10 bobines
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Dernire modification : CS, le 01/09/16
%   Ajout 16 canaux
% Contenu : Calcule la coupe sagittale pour les
%           donnes EMA  un instant donn.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_coupe_sagit_3D(pos_sb)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
    chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_coupe_sagit(instant)');
    errordlg(chaine_erreur, 'Erreur', 'on');
    return;
end

global EMA_BOB_PAL
global EMA_FECH NUM_SYNC EMA_PAL_X EMA_PAL_Y EMA_PAL_Z EMA_FLAG EMA_X1 EMA_X2 EMA_X3 EMA_X4 EMA_Y1 EMA_Y2 EMA_Y3 EMA_Y4 ...
    EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4 EMA_ECHELLE COL_SYNC IND_SYNC
% Rajout CS
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10 EMA_BOB11 EMA_BOB12 EMA_BOB13 EMA_BOB14 EMA_BOB15 EMA_BOB16
% global COUL_B1 COUL_B2 COUL_B3 COUL_B4 COUL_B5 COUL_B6 COUL_B7 COUL_B8 COUL_B9 COUL_B10
global EMA_X5 EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_X11 EMA_X12 EMA_X13 EMA_X14 EMA_X15 EMA_X16
global EMA_Y5 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 EMA_Y11 EMA_Y12 EMA_Y13 EMA_Y14 EMA_Y15 EMA_Y16
global EMA_Z1 EMA_Z2 EMA_Z3 EMA_Z4 EMA_Z5 EMA_Z6 EMA_Z7 EMA_Z8 EMA_Z9 EMA_Z10 EMA_Z11 EMA_Z12 EMA_Z13 EMA_Z14 EMA_Z15 EMA_Z16

% On dfinit la table des couleurs
couleur = colormap(jet(16));

% Teste si le calcul des trajectoires a dj t effectu
if EMA_FLAG == 0
    errordlg(' Lancer la commande ''Trajectoire'' avant de visualiser la coupe sagittale',...
        'Erreur','on');
    return;
end

long_ema = length(EMA_X1);
indice = round(pos_sb*EMA_FECH+1);   % On rcupre l'indice de la matrice du signal
if indice > long_ema
    errordlg(' Le curseur ne se trouve plus sur le signal !','Attention','on');
    return;
else
    coul_pal = 'w';
    figure(NUM_SYNC);
    hsub = subplot(1,COL_SYNC,IND_SYNC);
    hold off;
    if EMA_BOB_PAL ~= 0
        % Affiche le contour du palais enregistr dans le fichier
        if ~isempty(EMA_PAL_X)
            plot3(EMA_PAL_X,EMA_PAL_Y, EMA_PAL_Z, coul_pal);
            hold on;
        end
    end
    
    % Affiche la position des bobines    
    if ~isempty(EMA_BOB1)
        plot3(EMA_X1(indice),EMA_Y1(indice), EMA_Z1(indice), '*','Color',couleur(1,:));
        text(EMA_X1(indice),EMA_Y1(indice), EMA_Z1(indice), EMA_BOB1,'VerticalAlignment','baseline','Color',couleur(1,:),'Interpreter','none');
        hold on;
    end
    if ~isempty(EMA_BOB2)
        plot3(EMA_X2(indice),EMA_Y2(indice), EMA_Z2(indice), '*','Color',couleur(2,:));
        text(EMA_X2(indice),EMA_Y2(indice), EMA_Z2(indice), EMA_BOB2,'VerticalAlignment','baseline','Color',couleur(2,:),'Interpreter','none');
        hold on;
    end
    if ~isempty(EMA_BOB3)
        plot3(EMA_X3(indice),EMA_Y3(indice), EMA_Z3(indice), '*','Color',couleur(3,:));
        text(EMA_X3(indice),EMA_Y3(indice), EMA_Z3(indice), EMA_BOB3,'VerticalAlignment','baseline','Color',couleur(3,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB4)
        plot3(EMA_X4(indice),EMA_Y4(indice), EMA_Z4(indice), '*','Color',couleur(4,:));
        text(EMA_X4(indice),EMA_Y4(indice), EMA_Z4(indice), EMA_BOB4,'VerticalAlignment','baseline','Color',couleur(4,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB5)
        plot3(EMA_X5(indice),EMA_Y5(indice), EMA_Z5(indice), '*','Color',couleur(5,:));
        text(EMA_X5(indice),EMA_Y5(indice), EMA_Z5(indice), EMA_BOB5,'VerticalAlignment','baseline','Color',couleur(5,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB6)
        plot3(EMA_X6(indice),EMA_Y6(indice), EMA_Z6(indice), '*','Color',couleur(6,:));
        text(EMA_X6(indice),EMA_Y6(indice), EMA_Z6(indice), EMA_BOB6,'VerticalAlignment','baseline','Color',couleur(6,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB7)
        plot3(EMA_X7(indice),EMA_Y7(indice), EMA_Z7(indice), '*','Color',couleur(7,:));
        text(EMA_X7(indice),EMA_Y7(indice), EMA_Z7(indice), EMA_BOB7,'VerticalAlignment','baseline','Color',couleur(7,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB8)
        plot3(EMA_X8(indice),EMA_Y8(indice), EMA_Z8(indice), '*','Color',couleur(8,:));
        text(EMA_X8(indice),EMA_Y8(indice), EMA_Z8(indice), EMA_BOB8,'VerticalAlignment','baseline','Color',couleur(8,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB9)
        plot3(EMA_X9(indice),EMA_Y9(indice), EMA_Z9(indice), '*','Color',couleur(9,:));
        text(EMA_X9(indice),EMA_Y9(indice), EMA_Z9(indice), EMA_BOB9,'VerticalAlignment','baseline','Color',couleur(9,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB10)
        plot3(EMA_X10(indice),EMA_Y10(indice), EMA_Z10(indice), '*','Color',couleur(10,:));
        text(EMA_X10(indice),EMA_Y10(indice), EMA_Z10(indice), EMA_BOB10,'VerticalAlignment','baseline','Color',couleur(10,:),'Interpreter','none');
    end
% Ajout 16 canaux
    if ~isempty(EMA_BOB11)
        plot3(EMA_X11(indice),EMA_Y11(indice), EMA_Z11(indice), '*','Color',couleur(11,:));
        text(EMA_X11(indice),EMA_Y11(indice), EMA_Z11(indice), EMA_BOB11,'VerticalAlignment','baseline','Color',couleur(11,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB12)
        plot3(EMA_X12(indice),EMA_Y12(indice), EMA_Z12(indice), '*','Color',couleur(12,:));
        text(EMA_X12(indice),EMA_Y12(indice), EMA_Z12(indice), EMA_BOB12,'VerticalAlignment','baseline','Color',couleur(12,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB13)
        plot3(EMA_X13(indice),EMA_Y13(indice), EMA_Z13(indice), '*','Color',couleur(13,:));
        text(EMA_X13(indice),EMA_Y13(indice), EMA_Z13(indice), EMA_BOB13,'VerticalAlignment','baseline','Color',couleur(13,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB14)
        plot3(EMA_X14(indice),EMA_Y14(indice), EMA_Z14(indice), '*','Color',couleur(14,:));
        text(EMA_X14(indice),EMA_Y14(indice), EMA_Z14(indice), EMA_BOB14,'VerticalAlignment','baseline','Color',couleur(14,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB15)
        plot3(EMA_X15(indice),EMA_Y15(indice), EMA_Z15(indice), '*','Color',couleur(15,:));
        text(EMA_X15(indice),EMA_Y15(indice), EMA_Z15(indice), EMA_BOB15,'VerticalAlignment','baseline','Color',couleur(15,:),'Interpreter','none');
    end
    if ~isempty(EMA_BOB16)
        plot3(EMA_X16(indice),EMA_Y16(indice), EMA_Z16(indice), '*','Color',couleur(16,:));
        text(EMA_X16(indice),EMA_Y16(indice), EMA_Z16(indice), EMA_BOB16,'VerticalAlignment','baseline','Color',couleur(16,:),'Interpreter','none');
    end
    
    grid on;
    % hold off;
    view([0 90]); 
%     rotate3d on;
    axis('equal');
    zoom on;
    xmin = min(EMA_PAL_X);
    xmax = max(EMA_PAL_X);
    ymin = min(EMA_PAL_Y);
    ymax = max(EMA_PAL_Y);
    
%     [xmin] = get(gca,'Xlim')
%     [ymin] = get(gca,'Ylim')   
     xlim([xmin-2 xmax+2]);
     ylim([ymin-2 ymax+2]);
    buf = sprintf('Coupe sagittale  t =%6.2f s',pos_sb);
    % Attention ne pas changer cette couleur
    % sinon la modification d'chelle marchera moins bien
    % cf. modif_echelle.m
    title(buf,'Color','g');  %le titre est crit en green
    if EMA_ECHELLE == 1
        echelle = 'cm';
    else
        echelle='mm';
    end
    xlabel(['X ',echelle]);
    ylabel(['Y ',echelle]);
    zlabel(['Z ',echelle]);

    % Incrmente l'index des subplots
    if IND_SYNC == COL_SYNC
        IND_SYNC = 1;
    else
        IND_SYNC = IND_SYNC + 1;
    end
end
