% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_decale_pal.m
% Source : Matlab
% Auteur : CS
% Date de Cration : 02/09/16
% Contenu : Permet de rectifier le palais si necessaire
%           Translation (mm) en X et Y seulement
% Sauve le nouveau palais avec extension '_dec'
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_decale_pal(nom_palais,trans_X,trans_Y)

fid = fopen(nom_palais,'r','ieee-le');

if fid < 1
    chaine_erreur = ['Fichier ' nom_palais 'impossible  ouvrir !!'];
    errordlg(chaine_erreur, 'Erreur', 'on');
    return;
end

[sig,nb_ech] = fscanf(fid, '%f',inf);
fclose(fid);

% On prend un tiers du fichier pour chaque coordonnes
EMA_PAL_X = sig(1:nb_ech/3);
EMA_PAL_Y = sig(nb_ech/3+1:2*(nb_ech/3));
EMA_PAL_Z = sig(2*(nb_ech/3)+1:end);

EMA_PAL_X_dec = EMA_PAL_X + trans_X;
EMA_PAL_Y_dec = EMA_PAL_Y + trans_Y;

figure(10)
plot(EMA_PAL_X, EMA_PAL_Y)
hold on; grid on; axis equal;
plot(EMA_PAL_X_dec, EMA_PAL_Y_dec)

EMA_PALAIS = [EMA_PAL_X_dec; EMA_PAL_Y_dec; EMA_PAL_Z];

nom_palais_new = [nom_palais(1:end-4) '_dec.pal'];

fid1 = fopen(nom_palais_new, 'w','ieee-le');
fprintf(fid1,'%f\n', EMA_PALAIS);
fclose(fid1);
