% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_filtre.m
% Source : Matlab
% Auteur : M.-C. Leroy & P. Pinoit
% Adapt par D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99
% Contenu : Filtrage des donnes EMA articulatoires
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Mf1,Mf2,Mf3,Mf4,Mf5] = ema_filtre(M1,M2,M3,M4,M5,fech)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 6
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_filtre(M1, M2, M3, M4, M5, Fe)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

% Apres essais, il se trouve que le chebyshev 
% filtre mieux (coupe plus les frequences elevees) 
% que le butterworth.
%[C D] = butter(EMA_ORD_FILT,(2*EMA_FREQ_COUP)/fech);
global CHEBY_FREQ_COUP

fc = (2*CHEBY_FREQ_COUP)/fech;
fc1 = fc + .15;
%  pente du filtre > de (-.1dB + 50dB)/.005
[n, wn] = cheb1ord(fc, fc1, .1, 50); %   calcule des parametres
if rem(n, 2) == 0
%    disp('low_pass: ATTENTION, on force n impair ...');
   n = n+1;
end

% Definition des paramtres du filtre
%[C D] = cheby1(CHEBY_ORD_FILT,0.5, );
[C, D] = cheby1(n, 0.15, wn);          

Mf1 = filtfilt (C,D,M1);
Mf2 = filtfilt (C,D,M2);
Mf3 = filtfilt (C,D,M3);
Mf4 = filtfilt (C,D,M4);
Mf5 = filtfilt (C,D,M5);  
















