% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_ouv_mat.m
% Source : Matlab
% Auteur : C. Savariaux
% Date 07/03/03
% Contenu : Lecture d'un fichier de donnes 
%           articulatoires au format emmaproa (.mat)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_ouv_mat(fic_ema)

global EMA_SIG EMA_TPS EMA_FECH 

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_ouv(fic_ema)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

%=================================
% Ouverture du fichier .mat
%=================================
if ~exist(fic_ema)
   chaine_erreur = sprintf('Fichier EMA .mat non trouv !');
   errordlg(chaine_erreur, 'Message', 'on');
   return;
end


load(fic_ema)

%================================
% Lecture des donnes du fichier
%================================

%[EMA_SIG, nbech_ema] = fread(fid,'ushort');
EMA_SIG = data;
nbech_ema = size(data(:,1),1);

%======================================
% Calcule le vecteur temps d'une bobine
%======================================
     
EMA_TPS = linspace(0,((nbech_ema)-1)/EMA_FECH,nbech_ema);

