% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_ouv_old.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date 21.06.99
% Modifi par H. Loevenbruck 28.01.2000, 04.03.2002
% Contenu : Lecture d'un fichier de donnes 
%           articulatoires au format EMA.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_ouv_old(fic_ema);

global EMA_SIG EMA_TPS EMA_FECH

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_ouv(fic_ema)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

%=================================
% Ouverture du fichier en lecture
%=================================

fid = fopen(fic_ema,'r','l');
if fid == -1   
  errordlg([' Fichier ',fic_ema,' introuvable'],'Rsultat','on');
  return;
else 	
%  errordlg([' Ouverture du fichier ',fic_ema],'Rsultat','off');
end

%================================
% Lecture des donnes du fichier
%================================

% Lecture du fichier binaire par paquets de : unsigned integer, 16 bits
[EMA_SIG, nbech_ema] = fread(fid,'ushort');

%======================================
% Calcule le vecteur temps d'une bobine
%======================================
     
%EMA_TPS = linspace(0,((nbech_ema/10)-1)/EMA_FECH,nbech_ema/10);
% Modif pour les nouveaux formats de Phil Hoole
EMA_TPS = linspace(0,((nbech_ema/15)-1)/EMA_FECH,nbech_ema/15);

%=====================
% Fermeture du fichier
%=====================

fclose(fid);
