% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_ouv_pal.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.09.99
% Contenu : Ouverture du fichier contenant le 
%           suivi du palais.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function[res] = ema_ouv_pal(nomfic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_ouv_pal(nomfic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_PAL_X EMA_PAL_Y

%=================================
% Ouverture du fichier en lecture
%=================================
% Ouverture du fichier binaire avec le format : 
% IEEE floating point with little-endian byte ordering

fid = fopen(nomfic,'r','ieee-le');
if fid == -1   
  errordlg([' Fichier ',nomfic,' introuvable'],'Rsultat','on');
  res = 0;
else
  res = 1;
%  [sig,nb] = fread(fid,'ushort');
  [sig,nb] = fscanf(fid, '%f',inf);
  fclose(fid);
  long_s = length(sig);
  EMA_PAL_X = sig(1:long_s/2);
  EMA_PAL_Y = sig(long_s/2+1:long_s);
end
