% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_traitement.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99, 04.03.2002
% Modifi par CS le 18.03.03 : 
% Passage  10 canaux :
% La normalisation, la rotation des donnes et la 
% conversion en cm ontt faites en post-processing 
% par EMMAPROA, et ne sont donc plus effectues ici.
% Contenu : Ouverture  et traitement des 
%          fichiers EMA
% REMARQUE : le filtrage Passe Bas est effectu par defaut
%            pour le supprimer il faut mettre la valeur CHEBY_FREQ_COUP  0
%            avant de dessiner les trajectoires    
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [res] = ema_traitement

global EMA_FECH EMA_SIG EMA_TPS EMA_FLAG 
global EMA_X1 EMA_X2 EMA_X3 EMA_X4 EMA_X5 EMA_Y1 EMA_Y2 EMA_Y3 EMA_Y4 EMA_Y5 
global EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 
global EMA_TILT_B1 EMA_TILT_B2 EMA_TILT_B3 EMA_TILT_B4 EMA_TILT_B5
global EMA_TILT_B6 EMA_TILT_B7 EMA_TILT_B8 EMA_TILT_B9 EMA_TILT_B10 
global CHEBY_FREQ_COUP

% Test du type du fichier
if ~isempty(EMA_TPS)
    [bx,by,tiltb] = ema_XY(EMA_SIG);
    % traitement des NaN si prsent
    ind_nan = find(isnan(bx));
    if ~isempty(ind_nan)
        bx(ind_nan)=100;
        by(ind_nan)=100;
        tiltb(ind_nan)=0;
        msgbox('Attention donnees EMA manquantes (NaN)','Warning','warn');
    end
    EMA_X1 = bx(:,1)';
    EMA_X2 = bx(:,2)';
    EMA_X3 = bx(:,3)';
    EMA_X4 = bx(:,4)';
    EMA_X5 = bx(:,5)';
    EMA_X6 = bx(:,6)';
    EMA_X7 = bx(:,7)';
    EMA_X8 = bx(:,8)';
    EMA_X9 = bx(:,9)';
    EMA_X10 = bx(:,10)';
    EMA_Y1 = by(:,1)';
    EMA_Y2 = by(:,2)';
    EMA_Y3 = by(:,3)';
    EMA_Y4 = by(:,4)';
    EMA_Y5 = by(:,5)';
    EMA_Y6 = by(:,6)';
    EMA_Y7 = by(:,7)';
    EMA_Y8 = by(:,8)';
    EMA_Y9 = by(:,9)';
    EMA_Y10 = by(:,10)';
    EMA_TILT_B1 = tiltb(:,1)';
    EMA_TILT_B2 = tiltb(:,2)';
    EMA_TILT_B3 = tiltb(:,3)';
    EMA_TILT_B4 = tiltb(:,4)';
    EMA_TILT_B5 = tiltb(:,5)';
    EMA_TILT_B6 = tiltb(:,6)';
    EMA_TILT_B7 = tiltb(:,7)';
    EMA_TILT_B8 = tiltb(:,8)';
    EMA_TILT_B9 = tiltb(:,9)';
    EMA_TILT_B10 = tiltb(:,10)';
    
  % Filtrage des donnes si CHEBY_FREQ_COUP ~= 0
  % CS : 10 canaux
  if CHEBY_FREQ_COUP ~= 0
    disp('Attention donnes EMA filtres par Passe Bas de Chebyshev');
    [EMA_X1,EMA_X2,EMA_X3,EMA_X4,EMA_X5] = ema_filtre(EMA_X1,EMA_X2,EMA_X3,EMA_X4,EMA_X5,EMA_FECH);
    [EMA_Y1,EMA_Y2,EMA_Y3,EMA_Y4,EMA_Y5] = ema_filtre(EMA_Y1,EMA_Y2,EMA_Y3,EMA_Y4,EMA_Y5,EMA_FECH);
    [EMA_X6,EMA_X7,EMA_X8,EMA_X9,EMA_X10] = ema_filtre(EMA_X6,EMA_X7,EMA_X8,EMA_X9,EMA_X10,EMA_FECH);
    [EMA_Y6,EMA_Y7,EMA_Y8,EMA_Y9,EMA_Y10] = ema_filtre(EMA_Y6,EMA_Y7,EMA_Y8,EMA_Y9,EMA_Y10,EMA_FECH);
  end

  % Autorise le calcul des vitesses
  res = 1;
  EMA_FLAG = 1;
  
else
  res = 0;
  errordlg(' Fichier EMA non ouvert, non conforme ou vide','Erreur','on');
end
