% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_traj_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Modifi par CS le 30/10/02 :
%   Passage  10 bobines
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Modifi par CS le 01/09/16 :
%       Passage  16 canaux
% Contenu : Dfinition de la boite de choix
%           des bobines pour trajectoire
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_traj_dlg

global EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4 EMA_Z1
% CS
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10 
global EMA_BOB11 EMA_BOB12 EMA_BOB13 EMA_BOB14 EMA_BOB15 EMA_BOB16

largeur = 1090;
hauteur = 120;
size_x=68;
nb_bouton = 16;

% Definition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');
num_fen = figure('Numbertitle','off','Name','Trajectoire des bobines',...
    'Units','pixel','MenuBar', 'none', 'Tag','fen_ema_chx_traj','Position',[taille_ecran(3)/4 ...
      taille_ecran(4)/2-40 largeur hauteur]);

% Definition du bouton Fermer
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 30]);
uicontrol(num_fen,'Style','PushButton','String','Fermer',...
    'Position',[taille_fen(3)/2-30 5 50 20],'Callback','delete(findobj(''Tag'', ''fen_ema_chx_traj''))')


% Definition des boutons bobines
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB1,'_X']),...
    'Position',[0 hauteur-25 size_x 25],'Callback','ema_call_traj(1)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB2,'_X']),...
    'Position',[taille_fen(3)/nb_bouton hauteur-25 size_x 25],'Callback','ema_call_traj(2)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB3,'_X']),...
    'Position',[2*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(3)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB4,'_X']),...
    'Position',[3*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(4)');
% Rajout CS
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB5,'_X']),...
    'Position',[4*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(5)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB6,'_X']),...
    'Position',[5*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(6)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB7,'_X']),...
    'Position',[6*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(7)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB8,'_X']),...
    'Position',[7*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(8)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB9,'_X']),...
    'Position',[8*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(9)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB10,'_X']),...
    'Position',[9*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(10)');
% Ajout 16 canaux
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB11,'_X']),...
    'Position',[10*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(11)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB12,'_X']),...
    'Position',[11*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(12)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB13,'_X']),...
    'Position',[12*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(13)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB14,'_X']),...
    'Position',[13*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(14)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB15,'_X']),...
    'Position',[14*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(15)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB16,'_X']),...
    'Position',[15*(taille_fen(3)/nb_bouton) hauteur-25 size_x 25],'Callback','ema_call_traj(16)');


% Affiche les boutons Y
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB1,'_Y']),...
    'Position',[0 hauteur-50 size_x 25],'Callback','ema_call_traj(17)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB2,'_Y']),...
    'Position',[taille_fen(3)/nb_bouton hauteur-50 size_x 25],'Callback','ema_call_traj(18)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB3,'_Y']),...
    'Position',[2*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(19)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB4,'_Y']),...
    'Position',[3*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(20)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB5,'_Y']),...
    'Position',[4*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(21)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB6,'_Y']),...
    'Position',[5*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(22)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB7,'_Y']),...
    'Position',[6*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(23)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB8,'_Y']),...
    'Position',[7*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(24)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB9,'_Y']),...
    'Position',[8*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(25)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB10,'_Y']),...
    'Position',[9*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(26)');
% Ajout 16 canaux
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB11,'_Y']),...
    'Position',[10*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(27)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB12,'_Y']),...
    'Position',[11*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(28)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB13,'_Y']),...
    'Position',[12*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(29)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB14,'_Y']),...
    'Position',[13*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(30)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB15,'_Y']),...
    'Position',[14*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(31)');
uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB16,'_Y']),...
    'Position',[15*(taille_fen(3)/nb_bouton) hauteur-50 size_x 25],'Callback','ema_call_traj(32)');

% Affiche les boutons Z si 3D
if ~isempty(EMA_Z1) % Teste si valeurs en Z
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB1,'_Z']),...
        'Position',[0 hauteur-75 size_x 25],'Callback','ema_call_traj(33)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB2,'_Z']),...
        'Position',[taille_fen(3)/nb_bouton hauteur-75 size_x 25],'Callback','ema_call_traj(34)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB3,'_Z']),...
        'Position',[2*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(35)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB4,'_Z']),...
        'Position',[3*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(36)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB5,'_Z']),...
        'Position',[4*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(37)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB6,'_Z']),...
        'Position',[5*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(38)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB7,'_Z']),...
        'Position',[6*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(39)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB8,'_Z']),...
        'Position',[7*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(40)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB9,'_Z']),...
        'Position',[8*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(41)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB10,'_Z']),...
        'Position',[9*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(42)');
% Ajout 16 canaux
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB11,'_Z']),...
        'Position',[10*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(43)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB12,'_Z']),...
        'Position',[11*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(44)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB13,'_Z']),...
        'Position',[12*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(45)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB14,'_Z']),...
        'Position',[13*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(46)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB15,'_Z']),...
        'Position',[14*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(47)');
    uicontrol(num_fen,'Style','PushButton','String',lower([EMA_BOB16,'_Z']),...
        'Position',[15*(taille_fen(3)/nb_bouton) hauteur-75 size_x 25],'Callback','ema_call_traj(48)');
end
