% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_vit.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Modifi par CS le 10/12/03 : on utilise filtre_cheby pour le filtrage
% Contenu : Calcule puis trace la vitesse d'une
%          bobine dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_vit(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_vit(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EMA_TPS EMA_FECH EMA_FLAG CHEBY_FREQ_COUP

% Teste si le calcul des trajectoires a dj t effectu
if EMA_FLAG == 0
  errordlg(' Lancer la commande ''Trajectoire'' avant de visualiser les vitesses.',...
      'Erreur','on');
else

  % Si aucune fenetre n'a t ouverte, on ouvre celle par defaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 

  % Calcul de la vitesse
  temp_vit = calc_vit(sig,EMA_FECH);
  
  if CHEBY_FREQ_COUP ~= 0
    disp('Vitesse Filtre !');
    [vit] = filtre_cheby(temp_vit, EMA_FECH, CHEBY_FREQ_COUP);
else
    vit = temp_vit;
end

  % Affichage
  trace_graphe(vit,EMA_TPS,['VIT. ',nom], '-', [ 1 1 0]);
end
