% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_vit_tan_dlg.m
% Source : Matlab
% Auteur : C. Savariaux
% Date : 18.03.03
% Dernire modification 18.03.03
% par CS et HL
% Modifi par CS le 01/09/16 :
%       Passage  16 canaux
% Contenu : Dfinition de la boite de choix
%           des bobines pour vitesse tangentielle
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_vit_tan_dlg

global EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4 
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10
global EMA_BOB11 EMA_BOB12 EMA_BOB13 EMA_BOB14 EMA_BOB15 EMA_BOB16

global EMA_FLAG 

if ~EMA_FLAG
   chaine_erreur = sprintf(' Lancer la commande ''Trajectoire'' avant de visualiser les vitesses.');
   errordlg(chaine_erreur,'Erreur', 'On');
   return;
end
largeur = 1090;
size_x=68;
nb_bouton = 16;

% Dfinition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');
num_fen = figure('Numbertitle','off','Name','Vitesse tangentielle des bobines',...
    'Units','pixel', 'MenuBar', 'none', 'Position',[taille_ecran(3)/2-160 ...
      taille_ecran(4)/2-40 largeur 55]);

% Dfinition du bouton Fermer
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 30]);
uicontrol(num_fen,'Style','PushButton','String','Fermer',...
    'Position',[taille_fen(3)/2-30 5 60 20],'Callback','delete(gcf)')


% Definition des boutons bobines
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB1),...
    'Position',[0 30 size_x 25],'Callback','ema_call_vit_tan(1)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB2),...
    'Position',[taille_fen(3)/nb_bouton 30 size_x 25],'Callback','ema_call_vit_tan(2)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB3),...
    'Position',[2*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(3)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB4),...
    'Position',[3*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(4)');
% Rajout CS
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB5),...
    'Position',[4*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(5)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB6),...
    'Position',[5*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(6)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB7),...
    'Position',[6*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(7)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB8),...
    'Position',[7*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(8)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB9),...
    'Position',[8*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(9)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB10),...
    'Position',[9*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(10)');
% Ajout 16 canaux
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB11),...
    'Position',[10*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(11)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB12),...
    'Position',[11*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(12)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB13),...
    'Position',[12*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(13)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB14),...
    'Position',[13*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(14)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB15),...
    'Position',[14*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(15)');
uicontrol(num_fen,'Style','PushButton','String',lower(EMA_BOB16),...
    'Position',[15*(taille_fen(3)/nb_bouton) 30 size_x 25],'Callback','ema_call_vit_tan(16)');




