% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : enr_formant.m
% Source : Matlab
% Auteur : Loevenbruck 
% Date : 28.10.02
% Contenu : Enregistre les formants F1  F5 
%           dans un fichier ASCII
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function enr_formant(nomfic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : enr_formant(nomfic))');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN ACOU_TPS_FRM ACOU_DATA_FRM 

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

%================================
% Enregistrement au format ASCII
% Ouverture du fichier en criture
% et criture des donnes 
%=====================================

fid = fopen(nomfic,'w','l');
if fid==-1
  errordlg([' Impossible d''ouvrir le fichier ', nomfic],'Erreur','on');
else
  donnees = [ACOU_TPS_FRM' ACOU_DATA_FRM(1,:)' ACOU_DATA_FRM(2,:)'  ACOU_DATA_FRM(3,:)' ACOU_DATA_FRM(4,:)' ACOU_DATA_FRM(5,:)' ];
  for i = 1:size(donnees,1)
    fprintf(fid,'%f %f %f %f %f %f \n',  donnees(i,:));
  end
  fclose(fid);
end
 
msg = ['Fichier de formants cr : ' nomfic];
disp(msg);
