% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : enr_tempo_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 22.07.99
% Contenu : Boite de dialogue pour les paramtres 
%           de l'enregistrement d'un signal temporel :
%
%           - Nom du fichier
%           - Type du fichier (binaires ISIS ou Matlab, ASCII)
%           - Frquence d'chantillonnage (qui sera 
%           en fait vrifie par scurit)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function enr_tempo_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : enr_tempo_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

%=========================
% Entre du nom du fichier
%=========================

uicontrol(num_fen,'Style','Text','String','Nom du fichier :',...
    'Position',[0 taille_fen(4)/2+50 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/2-20 taille_fen(4)/2+50 taille_fen(3)/2-5 20]);

%==============================
% Choix du format du fichier
% ISIS (.ech)  ou Matlab (.mat)
%==============================

uicontrol(num_fen,'Style','Text','String','Format du fichier :',...
    'Position',[0 taille_fen(4)/2+20 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Checkbox','String','ISIS','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[taille_fen(3)/2-20 taille_fen(4)/2+20 taille_fen(3)/4-5 20]);
uicontrol(num_fen,'Style','Checkbox','String','Matlab','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[3*(taille_fen(3)/4)-20 taille_fen(4)/2+20 taille_fen(3)/4-5 20]);
uicontrol(num_fen,'Style','Checkbox','String','ASCII','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[taille_fen(3)/2-20 taille_fen(4)/2-10 taille_fen(3)/4-5 20]);


%==========================================
% Entre de la frquence d'chantillonnage
%==========================================

uicontrol(num_fen,'Style','Text','String','Frq. chantill. :',...
    'Position',[0 taille_fen(4)/2-40 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/2-20 taille_fen(4)/2-40 taille_fen(3)/2-5 20]);
