% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_affich_contact.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 01.09.99
% Contenu : Affiche les lectrodes
%           contactes dans le subplot donn.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_affich_contact(ind_sig, hsub)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_affich_contact(ind_sig, hsub)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_SIG EPG_POS_ELEC EPG_FECH EPG_CHANNEL NUM_SYNC

% Affichage de l'emplacement des lectrodes
if gcf == NUM_SYNC
  plot(EPG_POS_ELEC(2,:),EPG_POS_ELEC(1,:),'cx'); %en cyan
else
  plot(EPG_POS_ELEC(2,:),EPG_POS_ELEC(1,:),'c.'); %en cyan
end

% La rfrence etant en haut  gauche, il faut inverser les axes
set(hsub,'XDir','Reverse');
set(hsub,'YDir','Reverse');
% On enlve les axes qui n'ont aucune signification
set(hsub,'visible','off');

% Affichage des lectrodes contactes
% Attention ne pas changer la couleur, sinon la validation
% des lectrodes contactes ne marchera plus.
% cf. epg_valider.m
hold on;
ind = find(EPG_SIG(:,round(ind_sig)) == 1);
plot(EPG_POS_ELEC(2,EPG_CHANNEL(ind)),EPG_POS_ELEC(1,EPG_CHANNEL(ind)),'r*'); %en red !!
hold off;
buf = sprintf('t =%6.2f s',(ind_sig-1)/EPG_FECH);
text(24,-2,buf,'Color','g','HorizontalAlignment','center');

