% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_choix_traj_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Contenu : Boite de dialogue de choix
%           des signaux de "constriction" epg
%           dont la trajectoire sera trace.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_choix_traj_dlg(type)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_choix_traj_dlg(type)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_NB_CONS EPG_NOM_CONS

if EPG_NB_CONS < 1
   chaine_erreur=sprintf(' Pas de trajectoire EPG charge !\n Veuillez charger un fichier.\n');
   errordlg(chaine_erreur,'Erreur', 'On');
   return;
end

% Dfinition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');

nb_bout = 2;
div = EPG_NB_CONS/nb_bout;
quotient = fix(div);
reste = div - quotient;
if reste == 0
  taille_fen = [taille_ecran(3)/2-(nb_bout*80)/2 taille_ecran(4)/2-(quotient*25+30)/2 nb_bout*80 quotient*25+30];
else
  quotient = quotient + 1;
  taille_fen = [taille_ecran(3)/2-(nb_bout*80)/2 taille_ecran(4)/2-(quotient*25+30)/2 nb_bout*80 quotient*25+30];
end

num_fen = figure('Numbertitle','off','Name',type,...
    'Units','pixel', 'MenuBar', 'none', 'Position',taille_fen);

% Dfinition du bouton Fermer
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 30]);
uicontrol(num_fen,'Style','PushButton','String','Fermer',...
    'Position',[taille_fen(3)/2-30 5 60 20],'Callback','delete(gcf)')

% Dfinition des boutons constrictions
if quotient == 1
  for nb=1 : EPG_NB_CONS
    if strcmp(type,'Trajectoire')
      uicontrol(num_fen,'Style','PushButton','String',EPG_NOM_CONS(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','epg_traj_cons(1)');
    elseif strcmp(type,'Vitesse')
      uicontrol(num_fen,'Style','PushButton','String',EPG_NOM_CONS(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','epg_traj_cons(2)');
    elseif strcmp(type,'Acclration')
      uicontrol(num_fen,'Style','PushButton','String',EPG_NOM_CONS(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','epg_traj_cons(3)');
    end
  end
else
  nb = 1;
  for lig=1 : quotient
    for col=1 : nb_bout
      if strcmp(type,'Trajectoire')
	uicontrol(num_fen,'Style','PushButton','String',EPG_NOM_CONS(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','epg_traj_cons(1)');
      elseif strcmp(type,'Vitesse')
	uicontrol(num_fen,'Style','PushButton','String',EPG_NOM_CONS(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','epg_traj_cons(2)');
      elseif strcmp(type,'Acceleration')
	uicontrol(num_fen,'Style','PushButton','String',EPG_NOM_CONS(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','epg_traj_cons(3)');
      end
      if nb < EPG_NB_CONS
	nb = nb + 1;
      else
	return
      end
    end
  end
end


