% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_serie.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Modif CS le 24/06/04 : matlab7
% Contenu : Affiche les bobines contactes avant
%           et aprs l'instant donn.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_serie(pos_sb)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_serie(instant)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_SIG EPG_FECH EPG_PAL_FEN EPG_NB_PAL

ind_fig = 1;
nb_fig = 2*EPG_NB_PAL + 1
nb_ech = length(EPG_SIG);
indice = round(pos_sb*EPG_FECH) + 1;   % On recupere la colonne de la matrice des contacts
for i=indice-EPG_NB_PAL : indice+EPG_NB_PAL
  if (i < 1) | (i > nb_ech)
    errordlg(' Le curseur ne se trouve plus sur le signal !','Attention','on');
    return;
  else  
    if EPG_PAL_FEN == 0
       taille_ecran = get(0,'ScreenSize');
       EPG_PAL_FEN = figure('Numbertitle','off','Name','Palais srie', 'units', 'pixel', 'MenuBar', 'none', 'Position',[590 taille_ecran(4)-90-300 500 300]);
    end
    figure(EPG_PAL_FEN);
    % Modif CS : matlab7
    nb_sub = round(nb_fig/4+1);
    hsub = subplot(nb_sub,4,ind_fig);
    epg_affich_contact(i,hsub);
    ind_fig = ind_fig+1;
  end
end
