% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_traj_cons.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Affichage de la trajectoire des 
%           constrictions.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_traj_cons(val)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_traj_cons(val)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EPG_NOM_CONS EPG_DATA_CONS EPG_NB_CONS EPG_TPS

% Rcupre le nom du signal sur le bouton
nom = get(gco,'String');

% Recherche l'indice du signal
for i=1 : EPG_NB_CONS
  if length(nom) < length(EPG_NOM_CONS)
    for nb=1 : length(EPG_NOM_CONS)-length(nom)
      nom = [nom,setstr(0)];
    end
  end
  if strcmp(EPG_NOM_CONS(i,:),nom)
    if val == 1   % Trajectoire
      % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
      if NUM_FEN == 0
         fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
      end 
      trace_graphe(EPG_DATA_CONS(i,:),EPG_TPS,['TRAJ ',nom], '-', [ 1 1 0]);
    elseif val == 2   % Vitesse
      epg_vit(EPG_DATA_CONS(i,:),nom);
    elseif val == 3   % Acclration  
      epg_acc(EPG_DATA_CONS(i,:),nom);
    end
  end
end
  
