% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_valider.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifie par H. Loevenbruck 01.09.99
% Contenu : Sauvegarde le nom de la rgion et  
%          le num des lect lui appartenant.
% Attention ne marche bien que si les lectrodes
% sont bien traces en rouge
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_valider

global EPG_POS_ELEC

% Recupre les lectrodes slectionnes (en rouge)
elecs = findobj(gca,'Type','line','Color',[1 0 0]); %recherche tracs red

% Rcupre les coord. de ces lectrodes
for i=1 : length(elecs)
  colonne = [colonne;get(elecs(i),'Xdata')];
  ligne = [ligne;get(elecs(i),'Ydata')];
end

% Rcupre le numro des lectrodes
for n=1 : length(colonne)
  ind_col = find(EPG_POS_ELEC(2,:) == colonne(n));
  ind_ligne = find(EPG_POS_ELEC(1,ind_col) == ligne(n)); 
  num_elec = [num_elec,ind_col(ind_ligne)];
end

% Rcupre le nom et le numro de la rgion
titre = get(gcf,'Name');
space = strfind(titre,' ');
nom = titre(space(1)+1 : space(2)-1);
num = str2num(titre(space(3)+1 : length(titre)));

% Ferme la fenetre
delete(gcf);

% Sauvegarde des lectrodes appartenant  la rgion 
% et du nom de la rgion
epg_select_reg(num_elec,num,nom);
