% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_acc.m
% Source : Matlab
% Auteur : CS
% Date : 03/12/03
% Contenu : Trace l'acceleration d'un sgl issu d'EVA
%          dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_acc(sig, type_fic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  eva_acc(signal, type_fic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EVA_TPS1 EVA_TPS2 EVA_FECH1 EVA_FECH2
global EVA_TPS_INT EVA_FECH_INT

if strcmp(type_fic,'WA1') || strcmp(type_fic,'WA2') || strcmp(type_fic,'F0') || strcmp(type_fic,'EGG')
    fech = EVA_FECH1;
    tps = EVA_TPS1;
elseif strcmp(type_fic,'INT')
    fech= EVA_FECH_INT;
    tps = EVA_TPS_INT;
else
    fech= EVA_FECH2;
    tps = EVA_TPS2;
end


  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 

  % Calcul de l'acclration
  acc = calc_acc_ord3(sig,fech);
  
  % Affichage
  trace_graphe(acc,tps,['ACC. ',type_fic], '-', [1 1 0]);
