% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_ema('nom_fich_ema', 'nom_fich_wav')
% 
% Source : Matlab
% Auteurs : C. Savariaux & H. Loevenbruck
% Date de cration : 1 mars 2002
% Dernire modification : 18 mai 2004
% 
% exemple_JC_ema('E:\AG200\JC_100429\mat\phrase_001.mat', 'E:\AG200\JC_100429\wav\phrase_1.wav','E:\AG200\JC_100429\mat\palais4.pal')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_JC_lips(nom_fich_ema, nom_fich_wav, nom_fich_pal)


% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 22050;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 200;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NOSE';     
EMA_BOB2 = 'SUP-INC';
EMA_BOB3 = 'JAW';
EMA_BOB4 = 'LOW-LIPS';
EMA_BOB5 = 'UP-LIPS';
EMA_BOB6 = 'TNG-TIP';    
EMA_BOB7 = 'TNG-MID';
EMA_BOB8 = 'TNG-DORS';
EMA_BOB9 = '';
EMA_BOB10 = '';     

% NOTE :  bien faire avant d'ouvrir les fenetres
% Chargement du fichier de donnes articulatoires
ema_ouv_mat(nom_fich_ema);

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrone
% Ouverture de 10 subplot sur 2 colonnes
fenetre(2,3,[20 90],[900 500],'Fenetre principale');
% Ouverture du subplot 
synchrone(1,[20 600],[500 500],'Fenetre synchrone');

% Mise en forme des donnes EMA
ema_traitement;

%CHEBY_FREQ_COUP = 20;
% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
% % Trajectoire de la bobine 6 en X
% ema_traj(EMA_X6,[EMA_BOB6,'-X']);
% 
% % Trajectoire de la bobine 6 en Y
% %graphe_suivant;
% ema_traj(EMA_Y6,[EMA_BOB6,'-Y']);
% 
% % Trajectoire de la bobine 7 en X
% graphe_suivant;
% ema_traj(EMA_X7,[EMA_BOB7,'-X']);
% 
% % Trajectoire de la bobine 7 en Y
% graphe_suivant;
% ema_traj(EMA_Y7,[EMA_BOB7,'-Y']);
% 
% % Trajectoire de la bobine 8 en X
% graphe_suivant;
% ema_traj(EMA_X8,[EMA_BOB8,'-X']);
% 
% % Trajectoire de la bobine 8 en Y
% graphe_suivant;
% ema_traj(EMA_Y8,[EMA_BOB8,'-Y']);

% Trajectoire de la bobine 4 en X
%graphe_suivant;
ema_traj(EMA_X4,[EMA_BOB4,'-X']);

% Trajectoire de la bobine 4 en Y
graphe_suivant;
ema_traj(EMA_Y4,[EMA_BOB4,'-Y']);

% Trajectoire de la bobine 5 en X
graphe_suivant;
ema_traj(EMA_X5,[EMA_BOB5,'-X']);

% Trajectoire de la bobine 5 en Y
graphe_suivant;
ema_traj(EMA_Y5,[EMA_BOB5,'-Y']);

% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

% Visualisation du spectrogramme
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% zoom sur une partie du signal
%zoom_in(1,2.9);

% Vrification des facteurs Tilts (doivent etre proches de 1)
%ema_calc_tilt;

% Chargement du fichier contenant le contour du palais
EMA_BOB_PAL = 0; % pas d'ouverture de fenetre supplmentaire
%ema_ouv_pal('Q:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_palais.pal');
ema_ouv_pal(nom_fich_pal)

% Visualisation de la coupe sagittale  t = 2.1 sec
EMA_COUP_SAG = 1; 
curseur(1.5);

% animation sur une rptition de t = 2 sec  2.4
%ema_animer(2,2.4)
