% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_ema('nom_fich_ema', 'nom_fich_wav', 'nom_pal')
% 
% Source : Matlab
% Auteurs : C. Savariaux & H. Loevenbruck
% Date de cration : 1 mars 2002
% Dernire modification : 18 mai 2004
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% exemple_ema_3D_JM('J:\bedei\EMA\WAVE\yupik\NG_151120\mat\mots_007_sync.mat', 'J:\bedei\EMA\WAVE\yupik\NG_151120\wav\mots_007_sync.wav','J:\bedei\EMA\WAVE\yupik\NG_151120\mat\palais_026_3D.pal')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_ema_3D_JM(nom_fich_ema, nom_fich_wav, nom_fich_pal)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 22050;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 200;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'L_EAR';  
EMA_BOB2 = 'R_EAR';
EMA_BOB3 = 'NOSE'; 
EMA_BOB4 = 'SUP_INC';
EMA_BOB5 = 'JAW';
EMA_BOB6 = 'UP_LIPS';    
EMA_BOB7 = 'LOW-LIPS';
EMA_BOB8 = 'TNG-TIP';
EMA_BOB9 = 'TNG-DORS';
EMA_BOB10 = 'TNG_BCK';     

% NOTE :  bien faire avant d'ouvrir les fenetres
% Chargement du fichier de donnes articulatoires
ema_ouv_mat(nom_fich_ema);

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrone
% Ouverture de 10 subplot sur 2 colonnes
fenetre(2,4,[20 90],[900 500],'Fenetre principale');
% Ouverture du subplot 
synchrone(1,[20 600],[500 500],'Fenetre synchrone');

% Mise en forme des donnes EMA
ema_traitement_3D;

%CHEBY_FREQ_COUP = 20;
% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
% Trajectoire de la bobine 6 en X
ema_traj(EMA_Z6,[EMA_BOB6,'-Z']);

% Trajectoire de la bobine 6 en Y
graphe_suivant;
ema_traj(EMA_Y6,[EMA_BOB6,'-Y']);

% Trajectoire de la bobine 7 en X
graphe_suivant;
ema_traj(EMA_X7,[EMA_BOB7,'-X']);

% Trajectoire de la bobine 7 en Y
graphe_suivant;
ema_traj(EMA_Y7,[EMA_BOB7,'-Y']);

% Trajectoire de la bobine 8 en X
graphe_suivant;
ema_traj(EMA_X8,[EMA_BOB8,'-X']);

% Trajectoire de la bobine 8 en Y
graphe_suivant;
ema_traj(EMA_Y8,[EMA_BOB8,'-Y']);

% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

% Visualisation du spectrogramme
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;
% 
% % zoom sur une partie du signal
zoom_in(27.2,28.6);
% 
% 
% Chargement du fichier contenant le contour du palais
if nargin > 2
    EMA_BOB_PAL = 0; 
    %ema_ouv_pal('Q:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_palais.pal');
    ema_ouv_pal_3D(nom_fich_pal);
end %if nargin > 2
% 
% Visualisation de la coupe sagittale  t = 2.1 sec en 3D
EMA_COUP_SAG_3D = 1; 
curseur(27.65);
% % 
% % animation sur une rptition de t = 2 sec  2.4
%ema_animer_3D(27.2,28.4)
ema_animer_3D(0,10)
