% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_ema_traj('nom_fich_ema', 'nom_fich_wav')
% 
% Source : Matlab
% Auteurs : C. Savariaux & H. Loevenbruck
% Date de cration : 1 mars 2002
% Dernire modification : 18 dcembre 2003
% 
% exemple_ema_traj('M:\Matlab\trap\trap_v5\exemples\data\pata_1.mat', 'M:\Matlab\trap\trap_v5\exemples\data\pata_1.wav')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_ema_traj(nom_fich_ema, nom_fich_wav)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 500;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebychev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = 'TNG-BACK';
EMA_BOB4 = 'TNG-DOS';
EMA_BOB5 = 'TNG-MILI';
EMA_BOB6 = 'TNG-APEX';    
EMA_BOB7 = 'LEV-SUP';
EMA_BOB8 = 'LEV-INF';
EMA_BOB9 = 'JAW';
EMA_BOB10 = '';     

% NOTE :  bien faire avant d'ouvrir les fenetres
% Chargement du fichier de donnes articulatoires
ema_ouv_mat(nom_fich_ema);

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrone
% Ouverture de 10 subplot sur 2 colonnes
fenetre(2,5,[20 90],[900 500],'Fenetre principale');

% Mise en forme des donnes EMA
ema_traitement;

%CHEBY_FREQ_COUP = 20;
% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
% Trajectoire de la bobine 4 en X
ema_traj(EMA_X4,[EMA_BOB4,'-X']);

% Trajectoire de la bobine 4 en X
%graphe_suivant;
%ema_traj(EMA_X2,[EMA_BOB2,'-X']);

graphe_suivant;
CHEBY_FREQ_COUP=0; % Pour ne pas appliquer de filtrage
ema_vit(EMA_X4,[EMA_BOB4,'-X']);

graphe_suivant;
ema_acc(EMA_X4,[EMA_BOB4,'-X']);

%graphe_suivant;
%ema_traj(EMA_X,[EMA_BOB5,'-X']);

graphe_suivant;
ema_traj(EMA_Y5,[EMA_BOB5,'-Y']);

graphe_suivant;
ema_traj(EMA_X7,[EMA_BOB7,'-X']);

graphe_suivant;
ema_traj(EMA_X8,[EMA_BOB8,'-X']);

graphe_suivant;
ema_traj(EMA_X9,[EMA_BOB9,'-X']);


% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

%graphe_suivant;
%ema_traj(EMA_X10,[EMA_BOB10,'-X']);

% Visualisation du spectrogramme
ACOU_ORD_FFT = 512;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);  % Vecteur colonne
ACOU_OVER_FEN = 64;
graphe_suivant;
graphe_suivant;
acou_spectro;

%curseur(2.2);

% Vrification des facteurs Tilts (doivent etre proches de 100)
%ema_calc_tilt;