% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_ema_traj_sagitt('nom_fich_ema', 'nom_fich_wav', 'nom_fich_pal')
% 
% exemple_ema_traj_sagitt('Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_001.mat', 'Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_1.wav','Q:\Matlab\trap\trap_v5\exemples\data\lm1.pal')
% 
%
% Source : Matlab
% Auteurs : C. Savariaux & H. Loevenbruck
% Date de cration : 1 mars 2002
% Dernire modification : 18 mars 2003
%          
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function exemple_ema_traj_sagitt(nom_fich_ema, nom_fich_wav, nom_fich_pal)

%path(path,'d:\Users\Hlne\ICP\TRAP_V3\');

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 500;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebychev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = '';
EMA_BOB4 = 'LEV-SUP';
EMA_BOB5 = 'LEV-INF';
EMA_BOB6 = 'TNG-BACK';    
EMA_BOB7 = 'TNG-DOS';
EMA_BOB8 = 'TNG-MILI';
EMA_BOB9 = 'TNG-APEX';
EMA_BOB10 = 'JAW';     

% Chargement du fichier binaire de donnes articulatoires + WAV
ema_ouv_mat(nom_fich_ema);
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture de la fenetres principale
fenetre(2,5,[20 90],[900 500],'Fenetre principale');

% Mise en forme des donnes EMA
ema_traitement;

% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
ema_traj(EMA_X8,[EMA_BOB8,'-X']);

graphe_suivant;
ema_traj(EMA_X9,[EMA_BOB9,'-X']);

graphe_suivant;
ema_traj(EMA_X6,[EMA_BOB6,'-X']);

graphe_suivant;
ema_traj(EMA_Y6,[EMA_BOB6,'-Y']);

graphe_suivant;
ema_traj(EMA_X5,[EMA_BOB3,'-X']);

graphe_suivant;
ema_traj(EMA_Y5,[EMA_BOB3,'-Y']);

graphe_suivant;
ema_traj(EMA_X4,[EMA_BOB4,'-X']);

graphe_suivant;
ema_traj(EMA_Y4,[EMA_BOB4,'-Y']);

% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

% Visualisation du spectrogramme
ACOU_ORD_FFT = 512;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);  % Vecteur colonne
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% Ouverture de la fenetre synchrone
synchrone(2,[40 520],[900 400],'Fenetre synchrone');

% Chargement du fichier contenant le contour du palais
ema_ouv_pal(nom_fich_pal);
EMA_BOB_PAL = 0;    % Pas d'ouverture de fenetre supp. pour le suivi de contour

% Visualisation de la LPC et de la coupe sagittale  t = 2.2 se
ACOU_CALC_LPC = 1;
EMA_COUP_SAG = 1; 

curseur(2.2);

% Vrification des facteurs Tilts (doivent etre proches de 100)
%ema_calc_tilt;