function extract_mem(nom_rep, nom_fic)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Source : Matlab
% Auteur : CS
% Date de cration : 30/03/04
% Date de dernire modification : 
% Contenu : Permet de visualiser les donnes de paramtres 
%           des lvres (.tac), wav et textgrid
% Utilisation : 
%       nom_rep : chemin complet
%       nom_fic : racine du nom de fichier SANS extension
% Note : on suppose que les fichiers .wav et .textgrid se trouvent ds le
% repertoire \wav et que les .tac se trouvent ds le repertoire \tac
%
% Exemple : extract_mem('D:\users\aude\resu\', 'ihy1')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nom_fich_acoust = [nom_rep 'wav\' nom_fic '.wav'];
nom_fich_art = [nom_rep 'tac\' nom_fic '.tac'];
nom_fich_textgrid = [nom_rep 'wav\' nom_fic '.TextGrid'];


% cd d:\Users\Hlne\ICP\TRAP_V3\Exemples
%path(path,'d:\Lucie\Trap_MEM\');

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 44100;   % Freq. d'chantillonnage du signal acoustique

% Chargement du fichier acoustique binaire
acou_ouv(nom_fich_acoust, 'WAV') 

% Ouverture des fenetres principales et synchrones
fenetre(1,5,[20 90],[800 650],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf(nom_fic);
titre(titre_signal);

% Nombre et nom des paramtres souhaits
MES_NB = 2;
MES_NOM(1,1:length('S')) = 'S';
MES_NOM(2,1:length('P1')) = 'P1';

% Frquence d'chantillonage des donnes TACLE
MES_FECH = 50;

% Ouverture du fichier TACLE 
tac_ouv(nom_fich_art);

% Chargement du fichier de mesures (.lev) s'il existe
%MES_NB = 2;
%nom_fich_lev = [nom_rep 'tac\' nom_fic '.lev'];
%mes_ouv(nom_fich_lev);


% Trac de S
graphe_suivant;
trace_graphe(MES_DATA(1,:),MES_TPS,'S', '-', [ 1 1 0]);

% Trac de P1
graphe_suivant;
trace_graphe(MES_DATA(2,:),MES_TPS,'P1', '-', [ 1 1 0]);

% on filtre P1 et on trace
P1_filt = filtre_cheby(MES_DATA(2,:), MES_FECH, CHEBY_FREQ_COUP);
graphe_suivant;
trace_graphe(P1_filt,MES_TPS,'P1-filt', '-', [ 1 1 0]);

% Calcul de la vitesse de P1 filtr
[vit_P1_filt] =  calc_vit(P1_filt,MES_FECH);
% on la trace
graphe_suivant;
trace_graphe(vit_P1_filt,MES_TPS,'vit-P1-filt', '-', [ 1 1 0]);

%Trac d'acclration de S
%graphe_suivant;
%mes_acc(MES_DATA(1,:),'S');

%ouv_etiq(nom_fich_textgrid)

%Calcul des repres min-max-ppz-moy et sauvegarde des donnes
INDEX = 2;
active_graphe;
