% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_egg.m
% Source : Matlab
% Auteur : C. Savariaux
% Date de cration : 07/07/06
%
% Contenu : Fichier d'exemple pour les donnes 
%           EGG issues de la carte DT3016
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

%CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
CURSEUR = 0; % On ne veut pas de curseur temporel
COULEUR_GRAPH = [0 0 1];
COULEUR_FOND = [1 1 1];
COULEUR_ACTIVE = [.3 .3 .3];
COULEUR_AXES = [0 0 0];

% ouverture du fichier Wav
% On considere ce signal comme signal de ref Wav sur lequel on applique le
% spectrogramme
egg_ouv('M:\Matlab\trap\trap_v6\exemples\data\egg\egg3_4c_50k.dcf');

% Ouverture des fenetres principales et synchrones
fenetre(1,5,[20 90],[900 800],'Fenetre principale');

% Visualisation canal 1
egg_traj(EGG_1, 'Canal 1');

% on filtre le canal 1
[EGG_1_filt] = filtre_remez(EGG_1, EGG_FECH);
graphe_suivant;
egg_traj(EGG_1_filt, 'Canal1-filt-Remez');

% Visualisation canal 2
graphe_suivant;
egg_traj(EGG_2, 'Canal 2');

% Visualisation canal 3
graphe_suivant;
egg_vit(EGG_3, 'Canal 3');

% Visualisation canal 4
graphe_suivant;
egg_traj(EGG_4, 'Canal 4');

