% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_ema('nom_fich_ema', 'nom_fich_wav')
% 
% Source : Matlab
% Auteurs : C. Savariaux & H. Loevenbruck
% Date de cration : 1 mars 2002
% Dernire modification : 18 mai 2004
% 
% exemple_ema('P:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_pata_1.mat', 'P:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_pata_1.wav','P:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_palais.pal')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_ema(nom_fich_ema, nom_fich_wav, nom_fich_pal)


% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 500;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = 'TNG-BACK';
EMA_BOB4 = 'TNG-DOS';
EMA_BOB5 = 'TNG-MILI';
EMA_BOB6 = 'TNG-APEX';    
EMA_BOB7 = 'LEV-SUP';
EMA_BOB8 = 'LEV-INF';
EMA_BOB9 = 'JAW';
EMA_BOB10 = '';     

% NOTE :  bien faire avant d'ouvrir les fenetres
% Chargement du fichier de donnes articulatoires
ema_ouv_mat(nom_fich_ema);

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrone
% Ouverture de 10 subplot sur 2 colonnes
fenetre(2,5,[20 90],[900 500],'Fenetre principale');
% Ouverture du subplot 
synchrone(1,[20 600],[500 500],'Fenetre synchrone');

% Mise en forme des donnes EMA
ema_traitement;

%CHEBY_FREQ_COUP = 20;
% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
% Trajectoire de la bobine 4 en X
ema_traj(EMA_X4,[EMA_BOB4,'-X']);

% Trajectoire de la bobine 4 en Y
graphe_suivant;
ema_traj(EMA_Y4,[EMA_BOB4,'-Y']);

% Vitesse de la bobine 4 en X non filtre
graphe_suivant;
CHEBY_FREQ_COUP=0; % Pour ne pas appliquer de filtrage
ema_vit(EMA_X4,[EMA_BOB4,'-X']);

% Acclration de la bobine 4 en X
graphe_suivant;
ema_acc(EMA_X4,[EMA_BOB4,'-X']);

% Vitesse tangentielle de la bobine 4
graphe_suivant;
ema_vit_tang(EMA_X4, EMA_Y4, EMA_BOB4);

% Trajectoire de la bobine 9 en Y
graphe_suivant;
ema_traj(EMA_Y9,[EMA_BOB9,'-Y']);

% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

% Trajectoire de la bobine 7 en X
graphe_suivant;
ema_traj(EMA_X7,[EMA_BOB7,'-X']);

% Visualisation du spectrogramme
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% Trajectoire de la bobine 7 en Y
graphe_suivant;
ema_traj(EMA_Y7,[EMA_BOB7,'-Y']);

% zoom sur une partie du signal
zoom_in(2,2.5);

% Vrification des facteurs Tilts (doivent etre proches de 1)
ema_calc_tilt;

% Chargement du fichier contenant le contour du palais
EMA_BOB_PAL = 0; % pas d'ouverture de fenetre supplmentaire
%ema_ouv_pal('Q:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_palais.pal');
%ema_ouv_pal(nom_fich_pal)

% Visualisation de la coupe sagittale  t = 2.1 sec
EMA_COUP_SAG = 1; 
curseur(2.1);

% animation sur une rptition de t = 2 sec  2.4
ema_animer(2,2.4)
