% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_etiq1('nom_fich_wav')
%
% Utilisation : exemple_etiq1('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\marie_iksty.wav')
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 14.10.99
% Date de dernire modification : CS le 01/06/04
% Contenu : Fichier d'exemple pour les tiquettes
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_etiq1(nom_fich_wav)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 44100;     % Freq. d'chantillonnage du signal acoustique
NIV_ETIQ = 12;
TYPE_ETIQ(:,:)='';
TYPE_ETIQ(1,1:length('Phontique'))='Phontique';
TYPE_ETIQ(2,1:length('Tonal'))='Tonal';
TYPE_ETIQ(3,1:length('Break Index'))='Break Index';
TYPE_ETIQ(4,1:length('Mismatch'))='Mismatch';
TYPE_ETIQ(5,1:length('Commentaire'))='Commentaire';
TYPE_ETIQ(6,1:length('Niveau 6'))='Niveau 6';
TYPE_ETIQ(7,1:length('Niveau 7'))='Niveau 7';
TYPE_ETIQ(8,1:length('Niveau 8'))='Niveau 8';
TYPE_ETIQ(9,1:length('Niveau 9'))='Niveau 9';
TYPE_ETIQ(10,1:length('Niveau 10'))='Niveau 10';
TYPE_ETIQ(11,1:length('Niveau 11'))='Niveau 11';
TYPE_ETIQ(12,1:length('Niveau 12'))='Niveau 12';

% Changement des couleurs par dfaut des niveaux d'tiquette 
% Les couleurs pseudo-rouge sont  proscrire pour ne pas confondre avec le
% curseur
for i = 1:NIV_ETIQ 
  COULEUR_ETIQ(i,:) =  (1 - 1/(4*i)) *[0  0.99 0];   %pour conserver des intensites de vert entre 0 et 1
  STYLE_ETIQ(i,1:1) = '-'; % par dfaut : trait plein
end

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrones
fenetre(1,2,[20 90],[800 500],'Fenetre principale');

% Affichage du signal acoustique
acou_signal;

% Visualisation du spectrogramme
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% Marquage avec 12 tiquettes
marquer(0, 'a', 1)
marquer(0.1, 'b', 2)
marquer(0.2, 'c', 3)
marquer(0.3, 'd', 4)
marquer(0.4, 'e', 5)
marquer(0.5, 'f', 6)
marquer(0.6, 'g', 7)
marquer(0.7, 'h', 8)
marquer(0.8, 'i', 9)
marquer(0.9, 'j', 10)
marquer(1, 'k', 11)
marquer(1.1, 'l', 12)

curseur(0.75);
