% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_etiq_praat('nom_fich_wav', 'nom_fich_etiq')
%
% Utilisation : exemple_etiq_praat('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\phrase_001.wav', 'Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\phrase1.textgrid')
% Source : Matlab
% Auteur : C. Savariaux
% Date de cration : 25/05/04
% Contenu : Fichier d'exemple pour la pose des tiquettes a partir d'un fichier
% .textgrid issu de PRAAT
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_etiq_praat(nom_fich_wav, nom_fich_etiq)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 22050;     % Freq. d'echantillonnage du signal acoustique
NIV_ETIQ = 3;

COULEUR_ETIQ(1,:) =  [0  0.9 0.2];   
COULEUR_ETIQ(2,:) =  [1  0.9 0.4];
COULEUR_ETIQ(3,:) =  [1  0 0.6];

TYPE_ETIQ(:,:)='';
TYPE_ETIQ(1,1:length('Dure_C'))='Sentence';
TYPE_ETIQ(2,1:length('Word'))='Word';
TYPE_ETIQ(3,1:length('Phon'))='Phon';


% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrones
fenetre(1,1,[20 90],[800 500],'Fenetre principale');

% Affichage du signal acoustique
acou_signal;

% zoom
zoom_in(7.55,7.85)
%curseur(7.7)

% Ouverture du fichier d'tiquettes
ouv_etiq(nom_fich_etiq)

% Sauvegarde des etiquettes au format TRAP
enr_etiq('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\cs_pg4.etiq')

% On affiche le type d'etiquette choisi
TYPE_ETIQ
