% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_extraction_palais('nom_fich_pal')
%
% Utilisation : exemple_extraction_palais('Q:\scripts_matlab\trap\trap_v5\exemples\data\ema\jls_pata_palais_003.mat')
%
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration : 21.06.99
% Modifi par H. Loevenbruck et C. Savariaux 
% Dernire modification : 18.03.03
% Contenu : Extraction d'un contour de palais.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function exemple_extraction_palais(nom_fich_pal)

% Lancement de l'application
trap;

% Initialisation des variables globales
% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 200;        % Freq. d'chantillonnage du signal EMA
EMA_ORD_FILT = 10;      % Caractristiques du filtre pour le 
EMA_FREQ_COUP = 15;    % traitement des donnes EMA
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = 'TNG-BACK';
EMA_BOB4 = 'PALAIS';
EMA_BOB5 = 'TNG-MILI';
EMA_BOB6 = 'TNG-APEX';    
EMA_BOB7 = 'LEV-SUP';
EMA_BOB8 = 'LEV-INF';
EMA_BOB9 = 'JAW';
EMA_BOB10 = '';     

EMA_BOB_PAL = 4;   % Le numro de la bobine de suivi est 4, sa trajectoire sagittale apparaitra en blanc
EMA_FIC_PAL = 'Q:\scripts_matlab\trap\trap_v5\exemples\data\ema\jls_palais.pal';  % Nom du fichier pour enregistrer le contour du palais

% Chargement du fichier binaire de donnes articulatoires
ema_ouv_mat(nom_fich_pal);

% Ouverture des fenetres principales et synchrones
fenetre(1,2,[20 100],[800 350],'Fenetre principale'); % pour 2 tracs articulatoires au cours du temps
synchrone(1,[20 420],[500 330],'Fenetre synchrone'); % pour la coupe sagittale instantane

% Mise en forme des donnes EMA
ema_traitement;

% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% dans la fenetre principale
ema_traj(EMA_X4,[EMA_BOB4,'-X']);
modif_trait('--');

graphe_suivant;
ema_traj(EMA_Y4,[EMA_BOB4,'-Y']);

% Affichage de la coupe sagittale instantane ( l'instant 0)
% dans la fenetre synchrone
ema_coupe_sagit(0);
EMA_COUP_SAG = 1;

%curseur(1.46);

% Trac du contour du palais entre t = 0.4 et t = 14.1, ds une fenetre supp.
% Le bouton ENREGISTRER (ou ema_enr_pal) de cette fenetre permet 
% d'enregistrer le contour affich dans le fichier pb.pal
zoom_in(0,20); %contour entier
ema_enr_pal;
