% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_filtre_subplot
%
% Utilisation : exemple_filtre_subplot
% Source : Matlab
% Auteur : C. Savariaux et H. Loevenbruck
% Date de cration : 04.02.04
% Dernire Modification 18.03.03
% Contenu : Fichier d'exemple de filtrage d'un signal
%           contenu dans le subplot actif
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_filtre_subplot

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 22050;   % Freq. d'chantillonnage du signal acoustique

% Chargement du fichier acoustique binaire
acou_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\tac\jls_ruhi.wav', 'WAV') 

% Ouverture des fenetres principales et synchrones
fenetre(1,4,[20 90],[800 650],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf('ruhiize');
titre(titre_signal);

% Nombre et nom des paramtres souhaits
MES_NB = 4;
MES_NOM(1,1:length('A')) = 'A';
MES_NOM(2,1:length('B')) = 'B';
MES_NOM(3,1:length('S')) = 'S';
MES_NOM(4,1:length('P1')) = 'P1';

% Frquence d'chantillonage des donnes TACLE
MES_FECH = 50;

% Ouverture du fichier TACLE 
tac_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\tac\jls_ruhi.tac');

% Trac de S
graphe_suivant;
trace_graphe(MES_DATA(3,:),MES_TPS,'S', '-', [ 1 1 0]);

% Trac de P1
graphe_suivant;
trace_graphe(MES_DATA(4,:),MES_TPS,'P1', '-', [ 1 1 0]);

% Trac de P1
graphe_suivant;
trace_graphe(MES_DATA(4,:),MES_TPS,'P1', '-', [ 1 1 0]);
param_filtre_dlg('Paramtres du filtre');

