% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_mes.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 21.08.99
% Date de dernire modification : CS le 01/06/04
% Contenu : Fichier d'exemple pour les donnes 
%           de mesures de levres transformes (.lev)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

global CURSEUR

% On ne veut pas afficher de curseur
CURSEUR= 0;

% Initialisation des variables globales
ACOU_FECH = 22050;   % Freq. d'chantillonnage du signal acoustique

% Chargement du fichier acoustique
acou_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\tac\marie_skult.wav', 'WAV') 

% Ouverture des fenetres principales et synchrones
fenetre(1,8,[20 90],[800 750],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf('sik-skultere');
titre(titre_signal);

% Visualisation du spectrogramme
graphe_suivant;
ACOU_OVER_FEN = 64;
acou_spectro;

% Frquence d'chantillonage des donnes TACLE
MES_FECH = 50;

% Chargement du fichier de mesures (.lev)
MES_NB = 4;
MES_NOM(1,1:length('A')) = 'A';
MES_NOM(2,1:length('B')) = 'B';
MES_NOM(3,1:length('S')) = 'S';
MES_NOM(4,1:length('P1')) = 'P1';

mes_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\tac\marie_skult.lev');

% Trac de l'tirement A
graphe_suivant;
trace_graphe(MES_DATA(1,:),MES_TPS,'A', '-', [ 1 1 0]);

% Trac de la Hauteur B
graphe_suivant;
trace_graphe(MES_DATA(2,:),MES_TPS,'B', '-', [ 1 1 0]);

% Trac de P1
graphe_suivant;
trace_graphe(MES_DATA(4,:),MES_TPS,'P1', '-', [ 1 1 0]);

% Trac de P1 filtr
CHEBY_FREQ_COUP = 10; % Freq. coupure pour le filtrage des mesures
graphe_suivant;
mes_filt = filtre_cheby(MES_DATA(4,:), MES_FECH, CHEBY_FREQ_COUP);
trace_graphe(mes_filt,MES_TPS,'FILT-P1', '-', [ 1 1 0]);

% Trac de l'aire S
graphe_suivant;
trace_graphe(MES_DATA(3,:),MES_TPS,'S', '-', [ 1 1 0]);

% Trac de l'acc de S
graphe_suivant;
mes_acc(MES_DATA(3,:),'S');

% Zoom sur la partie de signal interessante
zoom_in(0.6,2);
%curseur(1.30);

%Recherche auto du min absolu de A
INDEX = 3;
active_graphe;
minmaxppz(6,'MES','auto')

%Recherche auto du max absolu de B
INDEX = 3;
active_graphe;
minmaxppz(7,'MES','auto')

%Recherche manuelle du 10-90% de chute sur S
INDEX = 7;
active_graphe;
%minmaxppz(5,'MES','manuel')

% Recherche "automatique" de la moyenne sur P1 filtr entre t = 0.7 et t = 1.5 :
indice_deb = 0.7 * MES_FECH + 1;
indice_fin = 1.5 * MES_FECH + 1;

INDEX = 6;
active_graphe;
rep_moy(MES_DATA(4,indice_deb:indice_fin), MES_FECH, MES_TPS(indice_deb :indice_fin));

