% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : fens_action.m
% Source : Matlab
% Auteur : D. Lefebvre
% Contenu : Lecture des parametres de la 
%           fenetre synchrone
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function fens_action

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

% On lit les valeurs rentres par l'utilisateur
col = str2num(get(obj_edit(ind_edit_tries(1)),'String'));
coord_x = str2num(get(obj_edit(ind_edit_tries(2)),'String'));
coord_y = str2num(get(obj_edit(ind_edit_tries(3)),'String')); 
dim_x = str2num(get(obj_edit(ind_edit_tries(4)),'String'));
dim_y = str2num(get(obj_edit(ind_edit_tries(5)),'String')); 
titre = get(obj_edit(ind_edit_tries(6)),'String');

% Si une des variables est vide, alors Erreur!
if (isempty(col) | isempty(coord_x) | isempty(coord_y) | isempty(dim_x) | isempty(dim_y) | isempty(titre))
  errordlg(' Il manque une ou plusieurs valeurs','Erreur','on');
else
  delete(gcf);
  synchrone(col,[coord_x coord_y],[dim_x dim_y],titre);
end
