% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lance_actions.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Contenu : Lance actions valides par le bouton OK 
%           de la boite de dialogue
% Dernire modification par H. Loevenbruck 28.10.02
% Dernire modification par CS le 03/12/03 : rajout du menu EVA
% Modifi par CS le 05/07/06 :
%    ajout de l'action pour fichier EGG
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function lance_actions

global EPG_NB_PAL EPG_PAL_SERIE EPG_PAL_FEN 
global MES_DATA MES_NB MES_FECH MES_TPS

% Recherche des donnes contenus dans la fenetre
%===============================================
nom_fen  = get(gcf,'Name');

% Test des donnes contenues dans la fenetre
%===========================================

%Menu Fichier
%------------
if (strcmp(nom_fen,'Ouvrir fichier acoustique'))
  [fic_acou, type_acou] = acou_lire_ouv_dlg;
  if ~isempty(fic_acou)
    acou_ouv(fic_acou, type_acou); 
  end

elseif (strcmp(nom_fen,'Ouvrir fichier EMA'))
  [fic_ema] = mes_lire_ouv_dlg;
  ema_ouv_mat(fic_ema);
  
elseif (strcmp(nom_fen,'Ouvrir fichier TACLE'))
  [fic_tac] = mes_lire_ouv_dlg;
  tac_ouv(fic_tac);

elseif (strcmp(nom_fen,'Ouvrir fichiers EVA'))
    eva_lire_ouv_dlg;

elseif (strcmp(nom_fen,'Ouvrir fichier EGG'))
    [fic_dcf] = mes_lire_ouv_dlg;
    egg_ouv(fic_dcf);
    
elseif (strcmp(nom_fen,'Ouvrir fichier mesures ASC'))
  [fic_mes] = mes_lire_ouv_dlg;
  mes_ouv(fic_mes);

elseif (strcmp(nom_fen,'Charger tiquettes'))
  fic_etiq = lire_val;
  ouv_etiq(fic_etiq);  

elseif (strcmp(nom_fen,'Enregistrer tiquettes'))
  fic_etiq = lire_val;  
  enr_etiq(fic_etiq);

elseif (strcmp(nom_fen,'Enregistrer Min - Max - PPZ - Moy'))
  fic_min = lire_val;  
  enr_minmaxppz(fic_min); 
 
elseif (strcmp(nom_fen,'Enregistrer signal temporel'))
 [fic_enreg_tempo,type_enreg_tempo,fe_enreg_tempo]=lire_enr_tmpo_dlg;
  if ~isempty(fic_enreg_tempo)
    enr_tempo(fic_enreg_tempo,type_enreg_tempo,fe_enreg_tempo); 
  end
  
elseif (strcmp(nom_fen,'Enregistrer Formants F1..F5'))
 [fic_enreg_frm]=lire_enr_formant_dlg;
  if ~isempty(fic_enreg_frm)
    enr_formant(fic_enreg_frm); 
  end
  

%Menu Options
%------------
elseif (strcmp(nom_fen,'Acoustique'))
  acou_lire_options;
elseif (strcmp(nom_fen,'EMA'))
  ema_action;
elseif (strcmp(nom_fen,'Filtre PBas'))
  lire_filt;  
elseif (strcmp(nom_fen,'Nom des bobines'))
  ema_nom_bobines;
elseif (strcmp(nom_fen,'Unit'))
  delete(gcf); 
elseif (strcmp(nom_fen,'EPG'))
  epg_action; 
elseif (strcmp(nom_fen,'Params/Mesures'))
  mes_action; 
elseif (strcmp(nom_fen,'Nom des Params/Mesures'))
  mes_nom_mesures;

%Menu Traitement Acoustique
%--------------------------
elseif (strcmp(nom_fen,'Fichier F0'))
  [fic_fzer,type] = acou_lire_fic_dlg;
  if ~isempty(fic_fzer)
    acou_affich_f0(fic_fzer,type);
  end
elseif (strcmp(nom_fen,'Filtre passe-haut'))
  acou_filtre_action(1);
elseif (strcmp(nom_fen,'Filtre passe-bas'))
  acou_filtre_action(2);
elseif (strcmp(nom_fen,'Filtre Remez'))
  acou_filtre_action(3);
elseif (strcmp(nom_fen,'FFT - LPC'))
  acou_lire_fft;
% elseif (strcmp(nom_fen,'Locuteur - Locutrice'))
%   acou_lire_loc;
elseif (strcmp(nom_fen,'Fichier Formants'))
  [fic_form,type] = acou_lire_fic_dlg;  
  if ~isempty(fic_form)
    acou_affich_form(fic_form,type);
  end

%Menu Traitement EMA
%-------------------
elseif (strcmp(nom_fen,'Fichier de suivi du palais'))
  ema_lire_bpal;

%Menu Traitement EVA
%-------------------
elseif (strcmp(nom_fen,'Paramtres du filtrage EVA'))
    [filtre, freq_coup, nb_interp] = lire_param_filtre;
    eva_call_filt(filtre, freq_coup, nb_interp);

%Menu Traitement Filtrage MES
%-------------------
elseif (strcmp(nom_fen,'Paramtres du filtrage MES'))
    [type_filtre, freq_coup, nb_interp] = lire_param_filtre;
    for i=1 : MES_NB
        if strcmp(type_filtre, 'Chebyshev')
            MES_DATA(i,:) = filtre_cheby(MES_DATA(i,:), MES_FECH, freq_coup);
        elseif strcmp(type_filtre, 'Spline')
            [MES_DATA(i,:), donnees_temporelles] = filtre_spline(MES_DATA(i,:), MES_FECH, nb_interp);
        elseif strcmp(type_filtre, 'Remez')
            MES_DATA(i,:) = filtre_remez(MES_DATA(i,:), MES_FECH);
        end
        trace_graphe(MES_DATA(i,:),MES_TPS,['TRAJ FILT MES'], '-', [ 1 1 0]);
    end
    

%Menu Traitement EPG
%-------------------
elseif (strcmp(nom_fen,'Slection d''une rgion'))
  epg_reg_action;
elseif (strcmp(nom_fen,'Taux de constriction'))
  val = lire_val;
  if ~isempty(val)
    epg_taux_cons(str2num(val));
  end
elseif (strcmp(nom_fen,'Trajectoire EPG'))
    epg_traj_action;
elseif (strcmp(nom_fen,'Palais srie'))
  val = lire_val;
  if ~isempty(val)
    EPG_NB_PAL = str2num(val);
    EPG_PAL_SERIE = 1;
    taille_ecran = get(0,'ScreenSize');
    EPG_PAL_FEN = figure('Numbertitle','off','Name','Palais srie','units', 'pixel', 'MenuBar', 'none', 'Position',[630 taille_ecran(4)-90-300 500 300] );
  end   
 
%Menu Traitement Mesure Gnrale
%-------------------------------
elseif (strcmp(nom_fen,'Trajectoire Mesure'))
    mes_traj_action;

%Menu Fenetre
%------------
elseif (strcmp(nom_fen,'Fenetre principale'))
  fenp_action;
elseif (strcmp(nom_fen,'Fenetre synchrone'))
  fens_action;

%Menu associ  chaque trac ds un subplot
%------------------------------------------
elseif (strcmp(nom_fen,'Echelle'))
  [x_min,x_max,y_min,y_max] = lire_echelle;
  if ~isempty(x_min)
    modif_echelle(x_min,x_max,y_min,y_max);
  end
elseif (strcmp(nom_fen,'Nom'))
  [nx,ny] = lire_nom_axes;
  xlabel(nx);
  ylabel(ny);
elseif (strcmp(nom_fen,'Titre'))
  titre(lire_val); 
elseif (strcmp(nom_fen,'Choix du trait'))
  trait = lire_trait;
  modif_trait(trait);
elseif (strcmp(nom_fen,'Etiquette'))
  lire_marq;
elseif  (strcmp(nom_fen,'Paramtres du filtre'))
    [filtre, freq_coup, nb_interp] = lire_param_filtre;
    filtre_subplot(filtre, freq_coup, nb_interp);

%Menu Traitement EGG
%-------------------
elseif  (strcmp(nom_fen,'Paramtres du filtrage'))
    [filtre, freq_coup, nb_interp] = lire_param_filtre;
    egg_call_filt(filtre, freq_coup, nb_interp);
    
%Bouton Couper en mode 'superposer'
%---------------------------------
elseif (strcmp(nom_fen,'Couper et Superposer'))
  delete(gcf);
  get_coord_couper;

%Bouton Titre Fen Principale
%---------------------------
elseif (strcmp(nom_fen,'Titre Fenetre Principale'))
  titre_fenp_action;
end  
  
