% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_enr_tmpo_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 10.09.1999
% Contenu : Lecture des caractristiques du  
%           signal temporel  enregistrer.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function[nomfic,type,fech] =  lire_enr_tmpo_dlg

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

nomfic = get(obj_edit(ind_edit_tries(1)),'string');
fech = get(obj_edit(ind_edit_tries(2)),'string');

if isempty(nomfic) | isempty(fech)
  errordlg(' Il manque une ou plusieurs donnes','Erreur','on');
  nomfic = [];
  return;
else
  fech = str2num(fech);
  box_ech = findobj(gcf,'Style','checkbox','String','ISIS');
  box_mat = findobj(gcf,'Style','checkbox','String','Matlab');
  box_asc = findobj(gcf,'Style','checkbox','String','ASCII');

  nb_box = 0;
  if get(box_ech,'Value')  
    type = 'ECH';
    nb_box = nb_box +1;
  end

  if get(box_mat,'Value')
    type = 'MAT';
    nb_box = nb_box +1;
  end

  if get(box_asc,'Value')
    type = 'ASC';
    nb_box = nb_box +1;
  end

  if (nb_box > 1) | (nb_box == 0)
     errordlg(' Choisissez un format parmi les trois','Erreur','on');
     nomfic = [];
     type = '';
     nb_box = 0;
     return;
  end

  delete(gcf);
end

