% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_param_filtre.m
% Source : Matlab
% Auteur : H. Loevenbruck & C. Savariaux
% Date 04.02.04
% Contenu : Lecture des paramtres du filtre  oprer 
%           sur le signal contenu dans le subplot actif
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [filtre, freq_coup, nb_interp] =  lire_param_filtre

%=====================================
% On rcupre les objets de type Edit
%=====================================
hand_cheb = findobj(gcf,'Tag','fc_cheb');
hand_spline = findobj(gcf,'Tag','nb_spline');
freq_coup = str2num(get(hand_cheb,'String'));
nb_interp = str2num(get(hand_spline,'String'));

%=====================================
% On rcupre les cases coches
%=====================================
filtre = [];
hand_chk_cheb = findobj(gcf,'Tag','chk_cheb');
hand_chk_spline = findobj(gcf,'Tag','chk_spline');
hand_chk_remez = findobj(gcf,'Tag','chk_remez');

val_cheb = get(hand_chk_cheb,'Value');
val_spline = get(hand_chk_spline,'Value');
val_remez = get(hand_chk_remez,'Value');

% uniquement pour les cases de type de filtre
if (val_cheb + val_spline + val_remez) > 1
    errordlg('Vous ne devez slectionner qu''un type de filtre !','Erreur filtre','on');
    return;
elseif val_cheb
    filtre=sprintf('Chebyshev');
elseif val_spline
    filtre=sprintf('Spline');
elseif val_remez
    filtre=sprintf('Remez');
end

% Si une des variables est vide, alors Erreur!
if (isempty(freq_coup) & isempty(nb_interp))
  errordlg(' Il manque une ou plusieurs valeurs','Erreur filtre','on');
else
  delete(gcf);
end
