% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : marquer.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifie par H. Loevenbruck 01.09.99
% Contenu : Permet d'tiqueter les signaux
% NIV_ETIQ niveaux d'tiquette sont possibles au maximum.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function marquer(pos_etiq,nom,niveau)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : marquer(pos_etiq, nom, niveau)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NB_LIG NB_COL INDEX NUM_FEN NIV_ETIQ COULEUR_ETIQ STYLE_ETIQ CURSEUR

if (niveau < 1) | (niveau > NIV_ETIQ)
   chaine_erreur=sprintf(' Attention !\n\n Le niveau d''tiquetage doit etre compris entre 1 et %d.\n Veuillez corriger le niveau.\n\n', NIV_ETIQ);
   errordlg(chaine_erreur, 'Erreur', 'On');
   chaine_erreur=sprintf('');
   return;
end

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);

% Mise  jour de l'index des graphes
maj_graphe_courant;

% Mise  jour des bornes inf et sup du curseur
if CURSEUR
    maj_curseur; 
end

% Trace une ligne  cet emplacement sur les graphes
for i=1 : NB_LIG*NB_COL
  sub = subplot(NB_LIG+1,NB_COL,i);
  % Teste si le subplot contient bien un graphique
  if ~isempty(get(gca, 'Children'))
    ylim = get(sub,'Ylim');
    hold on;
    line([pos_etiq pos_etiq],ylim,'Color',COULEUR_ETIQ(niveau,:), 'linestyle', STYLE_ETIQ(niveau,:));
    hold off;
  end
end

% Ecrit le nom de l'tiquette dans la zone d'tiquettes
% Cette zone est ds un subplot invisible en-dessous des autres graphes.
subplot(NB_LIG+1,NB_COL,NB_LIG*NB_COL+1)
posy = get(gca,'YTick');
posym = posy(length(posy));
text(pos_etiq,posym - niveau*(posym-posy(1))/NIV_ETIQ,nom,...
     'Color',COULEUR_ETIQ(niveau,:),'HorizontalAlignment','right','Interpreter','none');

% Ractive graphe courant
active_graphe;

