% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mes_traj.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 06.07.99
% Contenu : Affichage de la trajectoire des 
%           diffrentes mesures.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_traj(val)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : mes_traj(val)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN MES_NOM MES_DATA MES_NB MES_TPS MES_FECH CHEBY_FREQ_COUP

% Rcupre le nom du signal sur le bouton
nom = get(gco,'String');

% Recherche l'indice du signal
for i=1 : MES_NB
  if length(nom) < length(MES_NOM)
    for nb=1 : length(MES_NOM)-length(nom)
      nom = [nom,setstr(0)];
    end
  end
  if strmatch(MES_NOM(i,:),nom)
    if val == 1   % Trajectoire
      % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
      if NUM_FEN == 0
         fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
      end 
      trace_graphe(MES_DATA(i,:),MES_TPS,['TRAJ ',nom], '-', [ 1 1 0]);
    elseif val == 2   % Vitesse
      mes_vit(MES_DATA(i,:),nom);
    elseif val == 3   % Acceleration  
      mes_acc(MES_DATA(i,:),nom);
    elseif val == 4   % Filtrage 
      param_filtre_dlg('Paramtres du filtrage MES')
      %[MES_DATA(i,:)] = filtre_cheby(MES_DATA(i,:), MES_FECH, CHEBY_FREQ_COUP);
    end
  end
end
  
