% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : modif_trait.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 24.09.99
% Contenu : Modifie le trait choisi pour le trac
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function modif_trait(trait)

global COULEUR_GRAPH

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : modif_trait(trait)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

chaine_erreur = sprintf('\n Ce trait n''existe pas ! \n\n Veuillez choisir parmi :\n            .\n           o\n           x\n           +\n           -\n           *\n           :\n           -.\n           --\n');

on_a_un_marker = 1; %par dfaut on a affaire  un 'marker'

if ~strcmp(trait, '.') & ~strcmp(trait, 'o') & ~strcmp(trait, 'x') & ~strcmp(trait, '+') & ~strcmp(trait, '*')
     on_a_un_marker = 0;   % on a affaire  un 'linestyle'
     if ~strcmp(trait, '-')  & ~strcmp(trait, ':') & ~strcmp(trait, '-.') & ~strcmp(trait, '--')
        errordlg(chaine_erreur,'Erreur','on');
        return;
     end
end

graph= findobj(gca,'Type','line','Color',COULEUR_GRAPH); % cherche trac magenta

if size(graph,1) == 0
  errordlg(' Impossible de changer : ce signal n''est pas temporel !','Erreur','on');
  return;
else
  for i=1 : size(graph,1)
    if on_a_un_marker 
        set(graph(i), 'Marker', trait);
        set(graph(i),'LineStyle', 'none');
    else
        set(graph(i),'LineStyle', trait);
        set(graph(i),'Marker', 'none');
    end
  end
end
