% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : rep_20pc_max.m
% Source : Matlab
% Auteur : C. Savariaux
% Date : 15/02/18
%
% Reperage du tps  20% du max rep_20pc_max, uniquement
%   sur signaux EMA et sur la vitesse tangeantielle
%
% Utilisation : placer le curseur de gauche avant le min et le curseur de
% droite apres le max
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function rep_20pc_max(sig, fech, tps)

global COULEUR_MAX COULEUR_MIN  

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : rep_20pc_max(signal, Fe, tps)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

% Teste s'il y a un graphique dans la fenetre
%============================================
graph = findobj(gcf,'Type','axes');

% On cherche le tire du subplot en green
texte = findobj(gca,'Type','text','Color',[0 1 0]); %recherche texte green   

if ~isempty(texte)
    nom_subplot = get(texte,'string');
end

%initialisation 
pc_max = [];
tps_20 = [];

% Calcule la derive du signal
der_sig = calc_vit(sig,fech);

% Recherche des passages par zro de la drivee
% En fait on prend toutes les valeurs dont la valeur absolue est
% infrieure au seuil.
%REP_SEUIL = 20;
borne_sup = max(abs(sig));
borne_inf = min(abs(sig));
delta = (borne_sup - borne_inf) * 0.2;

% Calcul de la valeur  20%
pc_max = borne_inf + delta;


% recherche du 20%
for j = 1:(length(sig)-1)
      if (sig(j) < pc_max) && (sig(j+1) > pc_max) %le 20% est entre les deux points
          %calcul de l'quation de la droite entre ces deux points y = mx + b
          pente = (sig(j+1) - sig(j))/(tps(j+1) - tps(j)); %20ms entre deux points (taux d'chantillonnage)
          b = sig(j) - (pente*tps(j));      %b=y-mx
          %recherche de la valeur de temps x pour le point y correspondant a 20%max
          tps_20 =(pc_max-b)/pente;    %x=(y-b)/m
          pc_max;
      end
end

% Affichage
% Attention, ne pas modifier le code de couleur, 
% sinon l'effacage des min-max ne marchera plus.
% cf. eff_minmaxppz.m
hsub = subplot(gca);
limY = get(hsub,'Ylim');
hold on;
line([tps_20 tps_20], limY, 'Color', COULEUR_MIN); %sort of orange
hold off;

