% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : rep_zero.m
% Source : Matlab
% Auteur : M. Dohen
% Date : 03.03.03
% Contenu : Repre les zros d'un signal
% Ils seront marqus par des curseurs de couleur 
% verdatre.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function rep_zero(sig,fech,tps)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : rep_ppz(signal, Fe, tps)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global COULEUR_ZERO
%initialisation 
pic_pal = [];

% Recherche des passages par zro du signal
% En fait on prend toutes les valeurs dont la valeur absolue est
% gale  zro.
%borne_sup = max(abs(sig));
%borne_inf = min(abs(sig));
%seuil = (borne_sup - borne_inf)/REP_SEUIL;
ind_z = find(sig == 0);

ppz = [];

% Dtermination des passages par zro
for i=1 : length(ind_z)
  ind_s = ind_z(i);
  if ind_s < length(sig)
    % Si le signal  l'indice prcdent est diffrent de zro et
    % s'il est gal  zro  l'indice courant, alors l'indice courant
    % correspond  un  zro du signal
    if ind_s > 1
      if ( (sig(ind_s-1) ~= 0) ||  (sig(ind_s+1) ~= 0) )
	        ppz = [ppz,ind_s];
	  end
    end
  end
end

% Affichage
% Attention, ne pas modifier le code de couleur, 
% sinon l'effacage des min-max-ppz-zro ne marchera plus.
% cf. eff_minmaxppz.m
hsub = subplot(gca);
limY = get(hsub,'Ylim');
hold on;
for n=1 : length(ppz)
  line([tps(ppz(n)) tps(ppz(n))],limY,'Color', COULEUR_ZERO); %sort of green
end
hold off;


