% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : titre.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 01.09.99
% Contenu : Cration du titre du graphe courant
% Attention ne marche bien que si le titre de chaque 
% trac est bien crit en vert
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function titre(chaine)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : titre(chaine)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

ymax = get(gca,'Ylim');
xmin = get(gca,'Xlim');

% On efface l'ancien titre s'il y en avait un
fils = findobj(gca,'Type','text','Color',[0 1 0]);  % recherche du titre en green
delete(fils);

% On affiche le nouveau titre
text(xmin(1),ymax(2),chaine,'VerticalAlignment','baseline', 'HorizontalAlignment', 'left', 'Color','g','Interpreter','none');



