% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : trace_graphe.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24/09/02
% Contenu : Trace un graphe temporel qcq dans la
%           fenetre principale.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function trace_graphe(signal, temps, nom, trait, couleur)

global COULEUR_GRAPH COULEUR_FOND CURSEUR
global NB_LIG NB_COL NUM_FEN INDEX SUPERPOSE ACOU_NOM_AFFIC ACOU_TYP_FIC MES_NOM_FIC 

couleur = COULEUR_GRAPH;

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 5
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : trace_graphe(signal, temps, nom, trait, couleur)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end


if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

fig_max = NB_LIG*NB_COL;
figure(NUM_FEN);
hsub = subplot(NB_LIG+1,NB_COL,INDEX);
if SUPERPOSE
  hold on
else 
  hold off
end

if ~isempty(strfind(nom,'WA1')) || ~isempty(strfind(nom,'ACOU-SIG'))
    tag_nom ='WA1';
elseif ~isempty(strfind(nom,'WA2'))
    tag_nom ='WA2';
elseif ~isempty(strfind(nom,'F0'))
    tag_nom ='F0';
elseif ~isempty(strfind(nom,'EGG'))
    tag_nom ='EGG';
elseif ~isempty(strfind(nom,'OAF'))
    tag_nom ='OAF';
elseif ~isempty(strfind(nom,'NAF'))
    tag_nom ='NAF';
elseif ~isempty(strfind(nom,'PR1'))
    tag_nom ='PR1';
elseif ~isempty(strfind(nom,'PR2'))
    tag_nom ='PR2';
elseif ~isempty(strfind(nom,'AUX'))
    tag_nom ='AUX';
else
    tag_nom = 'LRX';
end

chaine_erreur = sprintf('\n Ce trait n''existe pas ! \n\n Veuillez choisir parmi :\n            .\n           o\n           x\n           +\n           -\n           *\n           :\n           -.\n           --\n');

on_a_un_marker = 1; %par dfaut on a affaire  un 'marker'

if ~strcmp(trait, '.') && ~strcmp(trait, 'o') && ~strcmp(trait, 'x') && ~strcmp(trait, '+') && ~strcmp(trait, '*')
     on_a_un_marker = 0;   % on a affaire  un 'linestyle'
     if ~strcmp(trait, '-')  && ~strcmp(trait, ':') && ~strcmp(trait, '-.') && ~strcmp(trait, '--')
        errordlg(chaine_erreur,'Erreur','on');
        return;
     end
end

if on_a_un_marker
    h = plot(temps,signal, 'Marker', trait, 'Color', couleur);
    set(h,'LineStyle', 'none');
else         
    h = plot(temps,signal, 'LineStyle', trait, 'Color', couleur);
    set(h,'Marker', 'none');
end

set(hsub, 'Tag', tag_nom);

ylim = get(hsub,'Ylim');
xlim = get(hsub,'Xlim');
if ~SUPERPOSE
    axis tight;
    new_axis = axis;
    xlim = [new_axis(1) new_axis(2)];
end
axis([xlim ylim]);
grid on;

titre(nom); %titre du subplot

% On rcrit le titre de la fenetre principale

% S'il y a un fichier acoustique ouvert, c'est ce fichier qui donne le nom.
% Sinon c'est le fichier de mesure ouvert qui donne le nom :

if INDEX == 1
  if ~isempty(ACOU_NOM_AFFIC)
     titre_fen_princ((xlim(2)-xlim(1))/2, ylim(2)+(ylim(2)-ylim(1))/3, ['Fichier ',ACOU_NOM_AFFIC]);
       %titre_fen_princ(2, 0.7, ['Fichier ',ACOU_NOM_AFFIC,' de type ',ACOU_TYP_FIC]);
  elseif ~isempty(MES_NOM_FIC)
     titre_fen_princ((xlim(2)-xlim(1))/2, ylim(2)+(ylim(2)-ylim(1))/3, ['Fichier ',MES_NOM_FIC]);
  end
end

% On rend actif le menu deroulant
set(hsub,'Buttondownfcn','plot_menu');

% On dsactive les anciens graphes
% et active le courant
active_graphe;

%mise  jour des bornes du curseur
if CURSEUR
    maj_curseur; 
end


