% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : zoom_out.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 22.09.99
% Contenu : Effectue un dzoom de tous les
%         graphiques se trouvant dans la fenetre
%
% Dernire modification : CS, le 16/01/07
%   passage en 3D + ishandle
% Dernire modification : CS, le 01/09/16
%   Ajout 16 canaux
%
%
% S'il y a une fenetre supplmentaire pour le suivi
% du contour du palais, on dzoome aussi ce contour.
%
% Attention ne marche bien que si le titre de chaque
% trac est bien crit en vert
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function zoom_out

global NB_LIG NB_COL INDEX ACOU_SIG ACOU_FECH NUM_FEN EMA_TPS EPG_TPS MES_TPS
global FLAG_ZOOM CURSEUR
global EMA_NUM_SAG EMA_BOB_PAL EMA_PALAIS EMA_ECHELLE EMA_X1 EMA_Y1 EMA_X2 EMA_Y2 EMA_X3 EMA_Y3 EMA_X4 EMA_Y4
% Rajout CS
global EMA_X5 EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_X11 EMA_X12 EMA_X13 EMA_X14 EMA_X15 EMA_X16
global EMA_Y5 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 EMA_Y11 EMA_Y12 EMA_Y13 EMA_Y14 EMA_Y15 EMA_Y16
global EMA_Z1 EMA_Z2 EMA_Z3 EMA_Z4 EMA_Z5 EMA_Z6 EMA_Z7 EMA_Z8 EMA_Z9 EMA_Z10 EMA_Z11 EMA_Z12 EMA_Z13 EMA_Z14 EMA_Z15 EMA_Z16

% global EVA_TPS EVA_FECH
% global EVA_WA1 EVA_WA2 EVA_F0 EVA_EGG EVA_OAF EVA_NAF EVA_PR1 EVA_PR2
% global ZOOM_PREC_DEB ZOOM_PREC_FIN NB_ZOOM

if NUM_FEN == 0
    errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
    return;
end
figure(NUM_FEN);

% Teste s'il y a un graphique dans la fenetre
%============================================
graph = findobj(gcf,'Type','axes');
if isempty(graph)
    errordlg(' Pas de graphique !','Erreur','on');
    return
else
    graph = length(graph);
    
    % Calcule l'chelle du signal
    %============================
    if ~isempty(ACOU_SIG)
        % Il y a un signal acoustique trac, c'est lui qui donne l'chelle
        ech = (length(ACOU_SIG)-1)/ACOU_FECH;
        for i = 1 : graph
            subplot(NB_LIG+1,NB_COL,i);
            % Teste si le subplot contient bien un graphique
            if ~isempty(get(gca, 'Children'))
                ylim = get(gca,'Ylim');
                axis([0 ech ylim]);
                texte = findobj(gca,'Type','text','Color',[0 1 0]); %recherche texte green
                
                if ~isempty(texte)
                    nom = get(texte,'string');
                    titre(nom);
                end
            end
        end
    else
        % Sinon l'chelle est donne par l'un des signaux tracs
        if ~isempty(EMA_TPS)
            xmax = EMA_TPS(length(EMA_TPS));
        elseif ~isempty(EPG_TPS)
            xmax = EPG_TPS(length(EPG_TPS));
        elseif ~isempty(MES_TPS)
            xmax = MES_TPS(length(MES_TPS));
        else
            errordlg(' Il n''y a plus de signal temporel connu.', 'Erreur', 'on');
            return;
        end
        for i = 1 : graph
            subplot(NB_LIG+1,NB_COL,i);
            % Teste si le subplot contient bien un graphique
            if ~isempty(get(gca, 'Children'))
                ylim = get(gca,'Ylim');
                axis([0 xmax ylim]);
                
                texte = findobj(gca,'Type','text','Color',[0 1 0]); % recherche texte green
                if ~isempty(texte)
                    nom = get(texte,'string');
                    titre(nom);
                end
            end
        end
        texte = [];
    end
end

%=============================================================
% S'il y a une fenetre supplmentaire pour la coupe sagittale
%=============================================================

if EMA_NUM_SAG
    if EMA_BOB_PAL
        figure(EMA_NUM_SAG);
        if isempty(EMA_Z1) % pas de 3D
            if EMA_BOB_PAL == 1
                plot(EMA_X1(1:length(EMA_TPS)),EMA_Y1(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X1(1:length(EMA_TPS)),EMA_Y1(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 2
                plot(EMA_X2(1:length(EMA_TPS)),EMA_Y2(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X2(1:length(EMA_TPS)),EMA_Y2(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 3
                plot(EMA_X3(1:length(EMA_TPS)),EMA_Y3(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X3(1:length(EMA_TPS)),EMA_Y3(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 4
                plot(EMA_X4(1:length(EMA_TPS)),EMA_Y4(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X4(1:length(EMA_TPS)),EMA_Y4(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 5
                plot(EMA_X5(1:length(EMA_TPS)),EMA_Y5(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X5(1:length(EMA_TPS)),EMA_Y5(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 6
                plot(EMA_X6(1:length(EMA_TPS)),EMA_Y6(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X6(1:length(EMA_TPS)),EMA_Y6(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 7
                plot(EMA_X7(1:length(EMA_TPS)),EMA_Y7(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X7(1:length(EMA_TPS)),EMA_Y7(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 8
                plot(EMA_X8(1:length(EMA_TPS)),EMA_Y8(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X8(1:length(EMA_TPS)),EMA_Y8(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 9
                plot(EMA_X9(1:length(EMA_TPS)),EMA_Y9(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X9(1:length(EMA_TPS)),EMA_Y9(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 10
                plot(EMA_X10(1:length(EMA_TPS)),EMA_Y10(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X10(1:length(EMA_TPS)),EMA_Y10(1:length(EMA_TPS))];
        % Ajout 16 canaux
            elseif EMA_BOB_PAL == 11
                plot(EMA_X11(1:length(EMA_TPS)),EMA_Y11(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X11(1:length(EMA_TPS)),EMA_Y11(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 12
                plot(EMA_X12(1:length(EMA_TPS)),EMA_Y12(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X12(1:length(EMA_TPS)),EMA_Y12(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 13
                plot(EMA_X13(1:length(EMA_TPS)),EMA_Y13(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X13(1:length(EMA_TPS)),EMA_Y13(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 14
                plot(EMA_X14(1:length(EMA_TPS)),EMA_Y14(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X14(1:length(EMA_TPS)),EMA_Y14(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 15
                plot(EMA_X15(1:length(EMA_TPS)),EMA_Y15(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X15(1:length(EMA_TPS)),EMA_Y15(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 16
                plot(EMA_X16(1:length(EMA_TPS)),EMA_Y16(1:length(EMA_TPS)));
                EMA_PALAIS = [EMA_X16(1:length(EMA_TPS)),EMA_Y16(1:length(EMA_TPS))];            
            end
        else % c'est du 3D
            if EMA_BOB_PAL == 1
                plot3(EMA_X1(1:length(EMA_TPS)), EMA_Y1(1:length(EMA_TPS)), EMA_Z1(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X1(1:length(EMA_TPS)), EMA_Y1(1:length(EMA_TPS)), EMA_Z1(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 2
                plot3(EMA_X2(1:length(EMA_TPS)), EMA_Y2(1:length(EMA_TPS)), EMA_Z2(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X2(1:length(EMA_TPS)), EMA_Y2(1:length(EMA_TPS)), EMA_Z2(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 3
                plot3(EMA_X3(1:length(EMA_TPS)), EMA_Y3(1:length(EMA_TPS)), EMA_Z3(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X3(1:length(EMA_TPS)), EMA_Y3(1:length(EMA_TPS)), EMA_Z3(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 4
                plot3(EMA_X4(1:length(EMA_TPS)), EMA_Y4(1:length(EMA_TPS)), EMA_Z4(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X4(1:length(EMA_TPS)), EMA_Y4(1:length(EMA_TPS)), EMA_Z4(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 5
                plot3(EMA_X5(1:length(EMA_TPS)), EMA_Y5(1:length(EMA_TPS)), EMA_Z5(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X5(1:length(EMA_TPS)), EMA_Y5(1:length(EMA_TPS)), EMA_Z5(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 6
                plot3(EMA_X6(1:length(EMA_TPS)), EMA_Y6(1:length(EMA_TPS)), EMA_Z6(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X6(1:length(EMA_TPS)), EMA_Y6(1:length(EMA_TPS)), EMA_Z6(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 7
                plot3(EMA_X7(1:length(EMA_TPS)), EMA_Y7(1:length(EMA_TPS)), EMA_Z7(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X7(1:length(EMA_TPS)), EMA_Y7(1:length(EMA_TPS)), EMA_Z7(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 8
                plot3(EMA_X8(1:length(EMA_TPS)), EMA_Y8(1:length(EMA_TPS)), EMA_Z8(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X8(1:length(EMA_TPS)), EMA_Y8(1:length(EMA_TPS)), EMA_Z8(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 9
                plot3(EMA_X9(1:length(EMA_TPS)), EMA_Y9(1:length(EMA_TPS)), EMA_Z9(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X9(1:length(EMA_TPS)), EMA_Y9(1:length(EMA_TPS)), EMA_Z9(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 10
                plot3(EMA_X10(1:length(EMA_TPS)), EMA_Y10(1:length(EMA_TPS)), EMA_Z10(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X10(1:length(EMA_TPS)), EMA_Y10(1:length(EMA_TPS)), EMA_Z10(1:length(EMA_TPS))];
        % Ajout 16 canaux
            elseif EMA_BOB_PAL == 11
                plot3(EMA_X11(1:length(EMA_TPS)), EMA_Y11(1:length(EMA_TPS)), EMA_Z11(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X11(1:length(EMA_TPS)), EMA_Y11(1:length(EMA_TPS)), EMA_Z11(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 12
                plot3(EMA_X12(1:length(EMA_TPS)), EMA_Y12(1:length(EMA_TPS)), EMA_Z12(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X12(1:length(EMA_TPS)), EMA_Y12(1:length(EMA_TPS)), EMA_Z12(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 13
                plot3(EMA_X13(1:length(EMA_TPS)), EMA_Y13(1:length(EMA_TPS)), EMA_Z13(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X13(1:length(EMA_TPS)), EMA_Y13(1:length(EMA_TPS)), EMA_Z13(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 14
                plot3(EMA_X14(1:length(EMA_TPS)), EMA_Y14(1:length(EMA_TPS)), EMA_Z14(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X14(1:length(EMA_TPS)), EMA_Y14(1:length(EMA_TPS)), EMA_Z14(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 15
                plot3(EMA_X15(1:length(EMA_TPS)), EMA_Y15(1:length(EMA_TPS)), EMA_Z15(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X15(1:length(EMA_TPS)), EMA_Y15(1:length(EMA_TPS)), EMA_Z15(1:length(EMA_TPS))];
            elseif EMA_BOB_PAL == 16
                plot3(EMA_X16(1:length(EMA_TPS)), EMA_Y16(1:length(EMA_TPS)), EMA_Z16(1:length(EMA_TPS)));
                view(0,90);
                EMA_PALAIS = [EMA_X16(1:length(EMA_TPS)), EMA_Y16(1:length(EMA_TPS)), EMA_Z16(1:length(EMA_TPS))];
            end
        end
        grid on;
        buf = sprintf('Contour du palais entre t =%6.2f et %6.2f s',EMA_TPS(1),EMA_TPS(length(EMA_TPS)));
        title(buf,'Color','g'); %crit texte en green
        if EMA_ECHELLE == 1
            echelle = 'cm';
        else
            echelle = 'mm';
        end
        xlabel(['X ',echelle]);
        ylabel(['Y ',echelle]);
    end
end

figure(NUM_FEN);
subplot(NB_LIG+1,NB_COL,INDEX);% pour s'assurer que le gca est correct
if CURSEUR
    maj_curseur; %mise  jour des bornes du curseur
end

FLAG_ZOOM = 0;
